
/* libname ph1 'C:\Station\User\Doc\RDC_Martin_mai07';   */
libname ph1 'C:\Documents and Settings\torelli\Mes documents\RDC_Martin_mai07';

** Tableau : type de mnages ;
data a;set ph1.esip1;
if prov=10 then geo=1;else
if prov>10 & milieu in(1,2) then geo=2;else
if prov>10 & milieu=3 then geo=3;
if milieu in(1,2) then mil=1;else
if milieu=3 then mil=2;
if m5_lien=1;

if nbind=1 then tai=1;else
if 2<=nbind<=3 then tai=2;else
if 4<=nbind<=6 then tai=3;else
if 7<=nbind<10 then tai=4;else
if nbind>=10 then tai=5;

proc freq data=a(where=(prov=10 ));tables tai;weight ponder3b;run;
proc freq data=a(where=(prov>10 & mil=1 ));tables tai;weight ponder3b;run;
proc freq data=a(where=( mil=1 ));tables tai;weight ponder3b;run;
proc freq data=a(where=( mil=2 ));tables tai;weight ponder3b;run;
proc freq data=a ;tables tai;weight ponder3b;run;


proc freq data=a(where=(geo=1 & m3_sexe=1));tables typmen;weight ponder3b;run;
proc freq data=a(where=(geo=2 & m3_sexe=1));tables typmen;weight ponder3b;run;
proc freq data=a(where=(geo=3 & m3_sexe=1));tables typmen;weight ponder3b;run;
proc freq data=a (where=( m3_sexe=1));tables typmen;weight ponder3b;run;

proc freq data=a(where=(geo=1 & m3_sexe=2));tables typmen;weight ponder3b;run;
proc freq data=a(where=(geo=2 & m3_sexe=2));tables typmen;weight ponder3b;run;
proc freq data=a(where=(geo=3 & m3_sexe=2));tables typmen;weight ponder3b;run;
proc freq data=a (where=( m3_sexe=2));tables typmen;weight ponder3b;run;
proc freq data=a  ;tables typmen *m3_sexe;weight ponder3b;run;

proc freq data=a(where=(mil=1 ));tables typmen;weight ponder3b;run;
proc freq data=a(where=(geo=1 ));tables typmen;weight ponder3b;run;
proc freq data=a(where=(geo=2 ));tables typmen;weight ponder3b;run;
proc freq data=a(where=(geo=3 ));tables typmen;weight ponder3b;run;
proc freq data=a;tables typmen;weight ponder3b;run;
proc freq data=a;tables m3_sexe*prov;weight ponder3b;run;

** taille des mnages ;
proc summary data=a;class prov;var nbind;output out=res mean=freq ponder3b;proc print;run;
proc summary data=a;class mil;var nbind;output out=res mean=freq ponder3b;proc print;run;

** Tableau : Taux de migration selon urbain/rural et province  ;
data a;set ph1.esip1(where=(m2_statu in(1,2)));
if prov=10 then geo=1;else
if prov>10 & milieu in(1,2) then geo=2;else
if prov>10 & milieu=3 then geo=3;
if milieu in(1,2) then mil=1;else
if milieu=3 then mil=2;

mig=0;if m10a_tps in(.,2) then mig=1;    /*  n'a pas tjs vcu ds capitale = migrant */
migrant=0;if m9_lnais=2 & m10a_tps in(.,2) then migrant=1;    /* n ailleurs et n'a pas tjs vcu ds capitale = migrant */

proc freq data=a;tables m8a_trib;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & milieu in(1,2) ));tables mig*prov migrant*prov;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & milieu =3 ));tables mig*prov migrant*prov;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1));tables mig*prov migrant*prov;weight ponder3b;run;

proc freq data=a(where=(m3_sexe=2 & milieu in(1,2) ));tables mig*prov migrant*prov;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & milieu =3 ));tables mig*prov migrant*prov;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2));tables mig*prov migrant*prov;weight ponder3b;run;

proc freq data=a(where=( milieu in(1,2) ));tables mig*prov migrant*prov;weight ponder3b;run;
proc freq data=a(where=( milieu =3 ));tables mig*prov migrant*prov;weight ponder3b;run;
proc freq data=a;tables mig*prov migrant*prov;weight ponder3b;run;

** Tableau : date d'arrive des migrants selon urbain/rural et province  ;
data b;set a (keep=prov mil mig migrant m4_age m3_sexe m10b_dur m11a_lhb m11b_dst m11c_pay m12_poq ponder3b);
if migrant=1;

if 0<=m10b_dur<=10 then m10b_dura=m10b_dur;else
if 11<=m10b_dur<=20 then m10b_dura=20;else
if m10b_dur>20 then m10b_dura=21;
run;
proc freq data=b(where=(mil=2  ));tables m10b_dura m11a_lhb  m11c_pay m12_poq;weight ponder3b;run;
proc freq data=b;tables m10b_dura m11a_lhb  m11c_pay m12_poq;weight ponder3b;run;


** Tableau : age moyen des migrants selon urbain/rural et province  ;
proc summary data=b;class prov m3_sexe;var m4_age  m10b_dur;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=1 & prov>10  ));class  m3_sexe;var m4_age  m10b_dur;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b;class mil m3_sexe;var m4_age  m10b_dur;output out=res mean=;freq ponder3b;proc print;run;

**  DEMOGRAPHIE;
data a;set ph1.esip1(where=(m2_statu in(1,2)));

if 0<=m4_age<=5   then ag='00';else
if 6<=m4_age<=9   then ag='01';else
if 10<=m4_age<=14 then ag='02';else
if 15<=m4_age<=19 then ag='03';else
if 20<=m4_age<=24 then ag='04';else
if 25<=m4_age<=29 then ag='05';else
if 30<=m4_age<=34 then ag='06';else
if 35<=m4_age<=39 then ag='07';else
if 40<=m4_age<=44 then ag='08';else
if 45<=m4_age<=49 then ag='09';else
if 50<=m4_age<=54 then ag='10';else
if 55<=m4_age<=59 then ag='11';else
if 60<=m4_age     then ag='12';

if 0<=m4_age<=4   then aga='00';else
if 5<=m4_age<=9   then aga='01';else
if 10<=m4_age<=14 then aga='02';else
if 15<=m4_age<=19 then aga='03';else
if 20<=m4_age<=24 then aga='04';else
if 25<=m4_age<=29 then aga='05';else
if 30<=m4_age<=34 then aga='06';else
if 35<=m4_age<=39 then aga='07';else
if 40<=m4_age<=44 then aga='08';else
if 45<=m4_age<=49 then aga='09';else
if 50<=m4_age<=54 then aga='10';else
if 55<=m4_age<=59 then aga='11';else
if 60<=m4_age<=64 then aga='12';else
if 65<=m4_age<=69 then aga='13';else
if 70<=m4_age<=74 then aga='14';else
if 75<=m4_age<=79 then aga='15';else
if 80<=m4_age     then aga='16';

if milieu in(1,2) then mil=1;else
if milieu=3 then mil=2;
mig=0;if m10a_tps in(.,2) then mig=1;    /*  n'a pas tjs vcu ds capitale = migrant */
migrant=0;if m9_lnais=2 & m10a_tps in(.,2) then migrant=1;    /* n ailleurs et n'a pas tjs vcu ds capitale = migrant */

run;

**  structure dmographique par sexe  pour faire le graphique pyramide des ges selon natif/migrant;
proc freq data=a(where=(m3_sexe=1 & migrant=0 & prov=10)) ;tables  aga ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & migrant=0 & prov=10)) ;tables  aga ;weight ponder3b;run;

proc freq data=a(where=(m3_sexe=1 & migrant=1 & prov=10)) ;tables  aga ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & migrant=1 & prov=10)) ;tables  aga ;weight ponder3b;run;


**  structure dmographique par province et par milieu et par sexe ;
proc freq data=a ;tables m4_age ag ;weight ponder3b;run;

** age moyen et median ;
proc sort data=a;by prov;
proc univariate data=a;by prov;var m4_age;freq ponder3b;run;
proc sort data=a;by mil;
proc univariate data=a;by mil;var m4_age;freq ponder3b;run;
proc univariate data=a; var m4_age;freq ponder3b;run;

** TRES GROS PROBLEME SUR la variable  situation matrimoniale (M6_SITUA) impossible  traiter;

* Nationalit ;
proc freq data=a;tables m7_natio*prov;weight ponder3b;run;
proc freq data=a;tables m7_natio*mil;weight ponder3b;run;

** Tableau : Niveau ducation  ;
data a;set ph1.esip1(where=(m2_statu in(1,2)));

if 6<=m4_age<=9   then ag='01';else
if 10<=m4_age<=14 then ag='02';else
if 15<=m4_age<=19 then ag='03';else
if 20<=m4_age<=24 then ag='04';else
if 25<=m4_age<=29 then ag='05';else
if 30<=m4_age<=34 then ag='06';else
if 35<=m4_age<=39 then ag='07';else
if 40<=m4_age<=44 then ag='08';else
if 45<=m4_age<=49 then ag='09';else
if 50<=m4_age<=54 then ag='10';else
if 55<=m4_age<=59 then ag='11';else
if 60<=m4_age     then ag='12';

if milieu in(1,2) then mil=1;else
if milieu=3 then mil=2;
run;

** scolaris ou non;
proc freq data=a(where=(m3_sexe=1 & ag='01' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='02' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='03' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='04' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='05' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='06' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='07' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='08' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='09' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='10' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='11' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='12' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag>='01'  ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
** champ=pop de 15 ans et plus;
proc freq data=a(where=(m3_sexe=1 &  m4_age>=15  ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;

proc freq data=a(where=(m3_sexe=2 & ag='01' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='02' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='03' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='04' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='05' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='06' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='07' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='08' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='09' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='10' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='11' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='12' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag>='01'  ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 &  m4_age>=15  ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;

proc freq data=a(where=( ag='01' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='02' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='03' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='04' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='05' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='06' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='07' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='08' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='09' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='10' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='11' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='12' ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=( ag>='01'  ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;
proc freq data=a(where=( m4_age>=15 ));tables m13a_ecp*prov m13a_ecp*mil ;weight ponder3b;run;


** au-del du primaire, slectionner ceux qui sont ou on t  l'cole ;

data b;set a;
if m13a_ecp=1 ;
if m13b_ens>1 then prim=1;else prim=0;

proc freq data=b(where=(m3_sexe=1 & ag='02' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & 12<m4_age<=14 ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='03' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='04' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='05' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='06' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='07' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='08' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='09' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='10' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='11' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='12' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & m4_age>12 ));tables prim*prov prim*mil ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=2 & ag='02' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & 12<m4_age<=14 ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='03' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='04' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='05' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='06' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='07' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='08' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='09' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='10' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='11' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='12' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & m4_age>12 ));tables prim*prov prim*mil ;weight ponder3b;run;

proc freq data=b(where=( ag='02' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=( 12<m4_age<=14 ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='03' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='04' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='05' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='06' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='07' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='08' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='09' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='10' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='11' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='12' ));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=( m4_age>12 ));tables prim*prov prim*mil ;weight ponder3b;run;


** frequent le suprieur,  slectionner ceux qui sont ou on t  l'cole ;
data b;set a;
if m13a_ecp=1 ;
if m13b_ens>=4 then univ=1;else univ=0;

proc freq data=b(where=(m3_sexe=1 & m4_age>=20 ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & m4_age>=20 ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=( m4_age>=20 ));tables univ*prov univ*mil ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 & ag='04' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='05' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='06' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='07' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='08' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='09' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='10' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='11' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='12' ));tables univ*prov univ*mil ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=2 & ag='04' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='05' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='06' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='07' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='08' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='09' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='10' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='11' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='12' ));tables univ*prov univ*mil ;weight ponder3b;run;

proc freq data=b(where=( ag='04' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='05' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='06' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='07' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='08' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='09' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='10' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='11' ));tables univ*prov univ*mil ;weight ponder3b;run;
proc freq data=b(where=( ag='12' ));tables univ*prov univ*mil ;weight ponder3b;run;

** Etablissement scolaire frequent pour ceux qui sont ou on t  l'cole ;
data b;set a;
if m13a_ecp=1 & m4_age>=6;

proc freq data=b;tables m15_tec*prov m15_tec*mil ;weight ponder3b;run;



** sait crire et parler le franais ;
data b;set a;

proc freq data=b(where=(m3_sexe=1 & ag='01' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='02' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='03' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='04' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='05' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='06' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='07' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='08' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='09' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='10' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='11' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=1 & ag='12' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
** champ=pop de 15 ans et plus;
proc freq data=b(where=(m3_sexe=1 &  m4_age>=15  ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=2 & ag='01' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='02' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='03' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='04' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='05' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='06' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='07' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='08' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='09' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='10' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='11' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & ag='12' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
** champ=pop de 15 ans et plus;
proc freq data=b(where=(m3_sexe=2 &  m4_age>=15  ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;

proc freq data=b(where=(ag='01' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(ag='02' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(ag='03' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(ag='04' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(ag='05' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(ag='06' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(ag='07' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(ag='08' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(ag='09' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(ag='10' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(ag='11' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
proc freq data=b(where=(ag='12' ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;
** champ=pop de 15 ans et plus;
proc freq data=b(where=(m4_age>=15  ));tables m18_lfr*prov m18_lfr*mil ;weight ponder3b;run;

**  dure moyenne des tudes pop>= 15 ans;
data b;set a;
if  m4_age>=15;
if m13a_ecp=2 then m14_cla=0;     /* POUR CEUX QUI N'ONT PAS t  l'cole LEUR DUREE VAUT 0  */

proc summary data=b(where=(m3_sexe=1));class prov;var  m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(m3_sexe=1));class mil;var  m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(m3_sexe=2));class prov;var  m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(m3_sexe=2));class mil;var  m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b;class prov;var  m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b;class mil;var  m14_cla;output out=res mean=;freq ponder3b;proc print;run;

** taux net de scolarisation dans le primaire pop de 6  12 ans (on fait 6 annes dans le primaire) ;
data b;set a;
if  6<=m4_age<=12;
if m13b_ens=1 then prim=1;else prim=0;

proc freq data=b(where=(m3_sexe=1));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2));tables prim*prov prim*mil ;weight ponder3b;run;
proc freq data=b;tables prim*prov prim*mil ;weight ponder3b;run;

** taux net de scolarisation dans le secondaire 1er cycle  pop de 13  16 ans (on fait 4 annes dans le cycle court et 6 pour le long) ;
data b;set a;
if  13<=m4_age<=16;
if m13b_ens=2 then sec=1;else sec=0;

proc freq data=b(where=(m3_sexe=1));tables sec*prov sec*mil ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2));tables sec*prov sec*mil ;weight ponder3b;run;
proc freq data=b;tables sec*prov sec*mil ;weight ponder3b;run;

** Pourquoi n'avoir jamais t  l'cole ou pour avoir arrt l'cole ;
data b;set a;
if (m13a_ecp=2 ! m16_eca=2) & m4_age>=6;

proc freq data=b(where=(prov=10));tables m17_are  ;weight ponder3b;run;
proc freq data=b(where=(prov=20));tables m17_are  ;weight ponder3b;run;
proc freq data=b(where=(prov=30));tables m17_are  ;weight ponder3b;run;
proc freq data=b(where=(prov=40));tables m17_are  ;weight ponder3b;run;
proc freq data=b(where=(prov=50));tables m17_are  ;weight ponder3b;run;
proc freq data=b(where=(prov=61));tables m17_are  ;weight ponder3b;run;
proc freq data=b(where=(prov=62));tables m17_are  ;weight ponder3b;run;
proc freq data=b(where=(prov=63));tables m17_are  ;weight ponder3b;run;
proc freq data=b(where=(prov=70));tables m17_are  ;weight ponder3b;run;
proc freq data=b(where=(prov=80));tables m17_are  ;weight ponder3b;run;
proc freq data=b(where=(prov=90));tables m17_are  ;weight ponder3b;run;
proc freq data=b(where=(mil=1));tables m17_are  ;weight ponder3b;run;
proc freq data=b(where=(mil=2));tables m17_are  ;weight ponder3b;run;
proc freq data=b;tables m17_are  ;weight ponder3b;run;


** religion pratique selon rgion de rsidence;
data b;set a;
proc freq data=b(where=(mil=1));tables m8b_reli ;weight ponder3b;run;
proc freq data=b(where=(mil=2));tables m8b_reli ;weight ponder3b;run;
proc freq data=b;tables m8b_reli ;weight ponder3b;run;


****************************************************************************************************************************************
** ACTIVITE;
** il y a 550 observations qui n'ont pas rempli la fiche EA donc ils ont SITAC=9, parmi eux 156 obs ont 10 ans  seulement ;
**  mais on va se concentrer uniquement sur ceux qui ont SITAC compris entre 1 et 4;


data a;set ph1.esip1(where=(m2_statu in(1,2)));
data a;set c(where=(m2_statu in(1,2)));
if m4_age>=10 & sitac in(1,2,3,4);

if prov=10 then geo=1;else
if prov>10 & milieu in(1,2) then geo=2;else
if prov>10 & milieu=3 then geo=3;

if milieu in(1,2) then mil=1;else
if milieu=3 then mil=2;

if 10<=m4_age<=14 then ag='02';else
if 15<=m4_age<=19 then ag='03';else
if 20<=m4_age<=24 then ag='04';else
if 25<=m4_age<=29 then ag='05';else
if 30<=m4_age<=34 then ag='06';else
if 35<=m4_age<=39 then ag='07';else
if 40<=m4_age<=44 then ag='08';else
if 45<=m4_age<=49 then ag='09';else
if 50<=m4_age<=54 then ag='10';else
if 55<=m4_age<=59 then ag='11';else
if 60<=m4_age     then ag='12';

if sitac in(1,2) then act=1;else act=0;
if sitac in(1,2,3) then act1=1;else act1=0;

if '03'<=ag<='05' then ag1='01';else
if '06'<=ag<='09' then ag1='02';else
if '10'<=ag       then ag1='03';

run;

proc freq data=a(where=(m3_sexe=1 & ag='02' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='03' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='04' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='05' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='06' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='07' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='08' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='09' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='10' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='11' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='12' ));tables act*prov act*mil ;weight ponder3b;run;
** champ=pop de 15 ans et plus;
proc freq data=a(where=(m3_sexe=1 &  m4_age>=15  ));tables act*prov act*mil ;weight ponder3b;run;

proc freq data=a(where=(m3_sexe=1 & ag1='01' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag1='02' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag1='03' ));tables act*prov act*mil ;weight ponder3b;run;


proc freq data=a(where=(m3_sexe=2 & ag='02' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='03' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='04' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='05' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='06' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='07' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='08' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='09' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='10' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='11' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='12' ));tables act*prov act*mil ;weight ponder3b;run;
** champ=pop de 15 ans et plus;
proc freq data=a(where=(m3_sexe=2 &  m4_age>=15  ));tables act*prov act*mil ;weight ponder3b;run;

proc freq data=a(where=(m3_sexe=2 & ag1='01' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag1='02' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag1='03' ));tables act*prov act*mil ;weight ponder3b;run;


proc freq data=a(where=( ag='02' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='03' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='04' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='05' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='06' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='07' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='08' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='09' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='10' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='11' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=( ag='12' ));tables act*prov act*mil ;weight ponder3b;run;
** champ=pop de 15 ans et plus;
proc freq data=a(where=( m4_age>=15  ));tables act*prov act*mil ;weight ponder3b;run;

proc freq data=a(where=( ag1='01' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=( ag1='02' ));tables act*prov act*mil ;weight ponder3b;run;
proc freq data=a(where=( ag1='03' ));tables act*prov act*mil ;weight ponder3b;run;


**  activit selon statut dans le mnage;
data b;set a;
if m4_age>=10;
if m5_lien=1 then lien=1;else
if m5_lien=2 then lien=2;else
if m5_lien=3 then lien=3;else
if m5_lien>3 then lien=4;


proc freq data=b(where=(prov=10));tables act*lien ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1));tables act*lien ;weight ponder3b;run;
proc freq data=b(where=(mil=1));tables act*lien ;weight ponder3b;run;
proc freq data=b(where=(mil=2));tables act*lien ;weight ponder3b;run;
proc freq data=b;tables act*lien ;weight ponder3b;run;

**  activit selon statut de migration ;
data b;set a;
if m4_age>=10;

mig=0;if m10a_tps in(.,2) then mig=1;    /*  n'a pas tjs vcu ds capitale = migrant */
migrant=0;if m9_lnais=2 & m10a_tps in(.,2) then migrant=1;    /* n ailleurs et n'a pas tjs vcu ds capitale = migrant */

/* essayer les deux variables MIG et MIGRANT */
proc freq data=b(where=(m3_sexe=1 & prov=10));tables act*migrant ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & prov=10));tables act*migrant ;weight ponder3b;run;
proc freq data=b(where=(prov=10));tables act*migrant ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 & prov>10 & mil=1));tables act*migrant ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & prov>10 & mil=1));tables act*migrant ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1));tables act*migrant ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 & mil=1));tables act*migrant ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & mil=1));tables act*migrant ;weight ponder3b;run;
proc freq data=b(where=(mil=1));tables act*migrant ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 & mil=2));tables act*migrant ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & mil=2));tables act*migrant ;weight ponder3b;run;
proc freq data=b(where=(mil=2));tables act*migrant ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 ));tables act*migrant ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 ));tables act*migrant ;weight ponder3b;run;
proc freq data=b;tables act*migrant ;weight ponder3b;run;


** temps domestique selon actif  ou non ;
data b;set a;
if m4_age>=10;

if ea1f_auc=6 & ea1a_etu=. then ea1a_etu=0;
if ea1f_auc=6 & ea1b_gar=. then ea1b_gar=0;
if ea1f_auc=6 & ea1c_eau=. then ea1c_eau=0;
if ea1f_auc=6 & ea1d_con=. then ea1d_con=0;
if ea1f_auc=6 & ea1e_pre=. then ea1e_pre=0;

work1=ea1b_gar;      /*  travaux domestiques, garde enfants, personnes ges   */
work2=ea1c_eau;      /*  chercher eau ou bois, faire le march pour le mnage  */
work3=ea1d_con;      /*  construction de sa propre maison   */

work4=ea1a_etu;   /*  heures consacres aux tudes  */
work5=ea1e_pre;   /*  heures services communaut  */


heurdom=sum(ea1b_gar,ea1c_eau,ea1d_con);      /*  total des heures hebdo consacres aux tches domestiques  */

proc summary data=b(where=(m3_sexe=1 & act=1));class prov;var heurdom;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(m3_sexe=1 & act=1));class mil;var heurdom;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(m3_sexe=1 & act=0));class prov;var heurdom;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(m3_sexe=1 & act=0));class mil;var heurdom;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(m3_sexe=1 ));class prov;var heurdom;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(m3_sexe=1 ));class mil;var heurdom;output out=res mean=;freq ponder3b;proc print;run;

proc summary data=b(where=(m3_sexe=2 & act=1));class prov;var heurdom;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(m3_sexe=2 & act=1));class mil;var heurdom;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(m3_sexe=2 & act=0));class prov;var heurdom;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(m3_sexe=2 & act=0));class mil;var heurdom;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(m3_sexe=2 ));class prov;var heurdom;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(m3_sexe=2 ));class mil;var heurdom;output out=res mean=;freq ponder3b;proc print;run;


** Les inactifs , les raisons de leur inactivit ;
data b;set a;
if m4_age>=10;
if sitac in(3,4);
if ea8a_rai=2 then rai=1;else      /*  cours de scolarit  */
if ea8a_rai=4 then rai=2;else      /*  au foyer            */
if ea8a_rai=3 then rai=3;else      /*  retraite            */
if ea8a_rai=1 then rai=4;else      /*  longue maladie      */
if ea8a_rai in(5,6) then rai=5;    /*  autres raisons      */


proc freq data=b(where=(prov=10 ));tables rai   ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 ));tables rai ;weight ponder3b;run;
proc freq data=b(where=(mil=1 ));tables rai ;weight ponder3b;run;
proc freq data=b(where=(mil=2 ));tables rai ;weight ponder3b;run;
proc freq data=b;tables rai ;weight ponder3b;run;


****************************************************************************************************************************************
** CHOMAGE;
** il y a 550 observations qui n'ont pas rempli la fiche EA donc ils ont SITAC=9, parmi eux 156 obs ont 10 ans  seulement ;
**  mais on va se concentrer uniquement sur ceux qui ont SITAC compris entre 1 et 4;
** chmage au sens BIT puis au sens large ;



data a;set ph1.esip1(where=(m2_statu in(1,2)));
  if m4_age>=10 & sitac in(1,2 );
/* if m4_age>=10 & sitac in(1,2,3);  */

if prov=10 then geo=1;else
if prov>10 & milieu in(1,2) then geo=2;else
if prov>10 & milieu=3 then geo=3;

if milieu in(1,2) then mil=1;else
if milieu=3 then mil=2;
if prov>10 & mil=1 then mil1=1;else mil1=0;

if 10<=m4_age<=14 then ag='02';else
if 15<=m4_age<=19 then ag='03';else
if 20<=m4_age<=24 then ag='04';else
if 25<=m4_age<=29 then ag='05';else
if 30<=m4_age<=34 then ag='06';else
if 35<=m4_age<=39 then ag='07';else
if 40<=m4_age<=44 then ag='08';else
if 45<=m4_age<=49 then ag='09';else
if 50<=m4_age<=54 then ag='10';else
if 55<=m4_age<=59 then ag='11';else
if 60<=m4_age     then ag='12';

  if sitac =2 then cho=1;else cho=0;
/*  if sitac in(2,3) then cho=1;else cho=0;    */

if '03'<=ag<='05' then ag1='01';else
if '06'<=ag<='09' then ag1='02';else
if '10'<=ag       then ag1='03';
if m13a_ecp=2 then m14_cla=0;     /* POUR CEUX QUI N'ONT PAS t  l'cole LEUR DUREE VAUT 0  */

run;

proc freq data=a(where=(m3_sexe=1 & ag='02' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='03' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='04' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='05' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='06' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='07' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='08' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='09' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='10' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='11' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag='12' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
** champ=pop de 15 ans et plus;
proc freq data=a(where=(m3_sexe=1 &  m4_age>=15  ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;

proc freq data=a(where=(m3_sexe=1 & ag1='01' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag1='02' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=1 & ag1='03' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;


proc freq data=a(where=(m3_sexe=2 & ag='02' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='03' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='04' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='05' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='06' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='07' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='08' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='09' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='10' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='11' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag='12' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
** champ=pop de 15 ans et plus;
proc freq data=a(where=(m3_sexe=2 &  m4_age>=15  ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;

proc freq data=a(where=(m3_sexe=2 & ag1='01' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag1='02' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=(m3_sexe=2 & ag1='03' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;


proc freq data=a(where=( ag='02' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=( ag='03' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=( ag='04' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=( ag='05' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=( ag='06' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=( ag='07' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=( ag='08' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=( ag='09' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=( ag='10' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=( ag='11' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=( ag='12' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
** champ=pop de 15 ans et plus;
proc freq data=a(where=( m4_age>=15  ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;

proc freq data=a(where=( ag1='01' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=( ag1='02' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;
proc freq data=a(where=( ag1='03' ));tables cho*prov cho*mil cho*mil1 ;weight ponder3b;run;


**  Chmage selon statut dans le mnage;
data b;set a;
if m4_age>=10;
if m5_lien=1 then lien=1;else
if m5_lien=2 then lien=2;else
if m5_lien=3 then lien=3;else
if m5_lien>3 then lien=4;


proc freq data=b(where=(prov=10));tables cho*lien ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1));tables cho*lien ;weight ponder3b;run;
proc freq data=b(where=(mil=1));tables cho*lien ;weight ponder3b;run;
proc freq data=b(where=(mil=2));tables cho*lien ;weight ponder3b;run;
proc freq data=b;tables cho*lien ;weight ponder3b;run;



**  Chmage selon statut de migration ;
data b;set a;
if m4_age>=10;

mig=0;if m10a_tps in(.,2) then mig=1;    /*  n'a pas tjs vcu ds capitale = migrant */
migrant=0;if m9_lnais=2 & m10a_tps in(.,2) then migrant=1;    /* n ailleurs et n'a pas tjs vcu ds capitale = migrant */

/* essayer les deux variables MIG et MIGRANT */
proc freq data=b(where=(m3_sexe=1 & prov=10));tables cho*migrant ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & prov=10));tables cho*migrant ;weight ponder3b;run;
proc freq data=b(where=(prov=10));tables cho*migrant ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 & prov>10 & mil=1));tables cho*migrant ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & prov>10 & mil=1));tables cho*migrant ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1));tables cho*migrant ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 & mil=1));tables cho*migrant ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & mil=1));tables cho*migrant ;weight ponder3b;run;
proc freq data=b(where=(mil=1));tables cho*migrant ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 & mil=2));tables cho*migrant ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & mil=2));tables cho*migrant ;weight ponder3b;run;
proc freq data=b(where=(mil=2));tables cho*migrant ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 ));tables cho*migrant ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 ));tables cho*migrant ;weight ponder3b;run;
proc freq data=b;tables cho*migrant ;weight ponder3b;run;

/* essayer les deux variables MIG et MIGRANT */
proc freq data=b(where=(m3_sexe=1 & prov=10));tables cho*mig ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & prov=10));tables cho*mig ;weight ponder3b;run;
proc freq data=b(where=(prov=10));tables cho*mig ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 & prov>10 & mil=1));tables cho*mig ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & prov>10 & mil=1));tables cho*mig ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1));tables cho*mig ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 & mil=1));tables cho*mig ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & mil=1));tables cho*mig ;weight ponder3b;run;
proc freq data=b(where=(mil=1));tables cho*mig ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 & mil=2));tables cho*mig ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & mil=2));tables cho*mig ;weight ponder3b;run;
proc freq data=b(where=(mil=2));tables cho*mig ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 ));tables cho*mig ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 ));tables cho*mig ;weight ponder3b;run;
proc freq data=b;tables cho*mig ;weight ponder3b;run;


**  Chmage selon niveau ducation ;
data b;set a;
if m4_age>=10;
if m13a_ecp ne 1       then sco=0;else        /* non scolaris                  */
if m13b_ens=1          then sco=1;else        /* primaire                       */
if m13b_ens in(2,3)    then sco=2;else        /* secondaire et prog non formel  */
if m13b_ens in(4,5)    then sco=3;            /* suprieur                      */


proc freq data=b(where=(m3_sexe=1 & prov=10));tables cho*sco ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & prov=10));tables cho*sco ;weight ponder3b;run;
proc freq data=b(where=(prov=10));tables cho*sco ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 & prov>10 & mil=1));tables cho*sco ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & prov>10 & mil=1));tables cho*sco ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1));tables cho*sco ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 & mil=1));tables cho*sco ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & mil=1));tables cho*sco ;weight ponder3b;run;
proc freq data=b(where=(mil=1));tables cho*sco ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 & mil=2));tables cho*sco ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 & mil=2));tables cho*sco ;weight ponder3b;run;
proc freq data=b(where=(mil=2));tables cho*sco ;weight ponder3b;run;

proc freq data=b(where=(m3_sexe=1 ));tables cho*sco ;weight ponder3b;run;
proc freq data=b(where=(m3_sexe=2 ));tables cho*sco ;weight ponder3b;run;
proc freq data=b;tables cho*sco ;weight ponder3b;run;


**  Chmage selon caractristiques ;
data b;set a;
if m4_age>=10 & sitac=2;

** sexe;
proc freq data=b(where=(prov=10));tables cho*m3_sexe ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1));tables cho*m3_sexe ;weight ponder3b;run;
proc freq data=b(where=(mil=1));tables cho*m3_sexe ;weight ponder3b;run;
proc freq data=b(where=(mil=2));tables cho*m3_sexe ;weight ponder3b;run;
proc freq data=b ;tables cho*m3_sexe ;weight ponder3b;run;

** primo ou ancien occup ;
proc freq data=b(where=(prov=10));tables cho*c2_raiso ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1));tables cho*c2_raiso ;weight ponder3b;run;
proc freq data=b(where=(mil=1));tables cho*c2_raiso ;weight ponder3b;run;
proc freq data=b(where=(mil=2));tables cho*c2_raiso ;weight ponder3b;run;
proc freq data=b ;tables cho*c2_raiso ;weight ponder3b;run;

** age moyen et anne tudes;
proc summary data=b(where=(prov=10));class c2_raiso m3_sexe;var m4_age m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(prov>10 & mil=1));class c2_raiso m3_sexe;var m4_age m14_cla;output out=res mean=;freq ponder3b;
proc print;run;
proc summary data=b(where=(mil=1));class c2_raiso m3_sexe;var m4_age m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=2));class c2_raiso m3_sexe;var m4_age m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b;class c2_raiso m3_sexe;var m4_age m14_cla;output out=res mean=;freq ponder3b;proc print;run;

** raison de perte d'emploi pour les anciens occups;
data c;set b;
if c2_raiso=1;
proc freq data=c(where=(prov=10));tables c3_rpert ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables c3_rpert ;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables c3_rpert ;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables c3_rpert ;weight ponder3b;run;
proc freq data=c ;tables c3_rpert ;weight ponder3b;run;

** Ressource principale pour les chmeurs;
data c;set b;
proc freq data=c(where=(prov=10));tables c4_besoi ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables c4_besoi ;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables c4_besoi ;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables c4_besoi ;weight ponder3b;run;
proc freq data=c ;tables c4_besoi ;weight ponder3b;run;

** Moyen principal de recherche pour les chmeurs;
data c;set b;
proc freq data=c(where=(prov=10));tables c5_moyen ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables c5_moyen ;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables c5_moyen ;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables c5_moyen ;weight ponder3b;run;
proc freq data=c ;tables c5_moyen ;weight ponder3b;run;


**Type d'emploi recherch pour les chmeurs (seulement un tiers des chmeurs ont rpondu);
data c;set b;
proc freq data=c(where=(prov=10));tables c7a_type c7b_cont c7c_qual c7d_bran ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables  c7a_type c7b_cont c7c_qual c7d_bran ;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables  c7a_type c7b_cont c7c_qual c7d_bran ;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables  c7a_type c7b_cont c7c_qual c7d_bran ;weight ponder3b;run;
proc freq data=c ;tables  c7a_type c7b_cont c7c_qual c7d_bran ;weight ponder3b;run;


** dure de chomage ;
data c;set b;
if c1_chan ne .;
if prov=10 then do;
if c1_chan in(0,1,2,3,4) then dur=sum(((2000+c1_chan)*12),c1_chmo);else
if c1_chan<=99 then dur=sum(((1900+c1_chan)*12),c1_chmo);else dur=.;
** on essaie d'avoir une date d'enqute (sept 2004 pour Kinshasa) dans le mme style que DUR  ;
datenq=(2004*12)+9;
end;

if prov>10 then do;
if c1_chan in(0,1,2,3,4,5) then dur=sum(((2000+c1_chan)*12),c1_chmo);else
if c1_chan<=99 then dur=sum(((1900+c1_chan)*12),c1_chmo);else dur=.;
** on essaie d'avoir une date d'enqute (avril 2005 pour RDC national) dans le mme style que DUR  ;
datenq=(2005*12)+4;
end;


** on calcule une dure en mois de chomage  ;
if (dur ne . ) then durch=datenq-dur;

**  chmeurs qui recherchent depuis plus d'un an ;
durch1='0';if durch>12 then  durch1='1';



** dure moyenne au chmage selon primo ou ancien occup;
proc summary data=c(where=(prov=10));class c2_raiso m3_sexe;var durch ;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(prov>10 & mil=1));class c2_raiso m3_sexe;var durch;output out=res mean=;freq ponder3b;
proc print;run;
proc summary data=c(where=(mil=1));class c2_raiso m3_sexe; var durch ;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=2));class c2_raiso m3_sexe; var durch ;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c;class c2_raiso m3_sexe; var durch ;output out=res mean=;freq ponder3b;proc print;run;

** taux  de chmeurs de longue dure;
proc freq data=c(where=(prov=10 & c2_raiso=2));tables m3_sexe*durch1 ;weight ponder3b;run;
proc freq data=c(where=(prov=10 & c2_raiso=2));tables m3_sexe*durch1 ;weight ponder3b;run;
proc freq data=c(where=(prov=10 ));tables m3_sexe*durch1 ;weight ponder3b;run;

proc freq data=c(where=(prov>10 & mil=1 & c2_raiso=1));tables m3_sexe*durch1 ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 & c2_raiso=2));tables m3_sexe*durch1 ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 ));tables m3_sexe*durch1 ;weight ponder3b;run;

proc freq data=c(where=(mil=1 & c2_raiso=1));tables m3_sexe*durch1 ;weight ponder3b;run;
proc freq data=c(where=(mil=1 & c2_raiso=2));tables m3_sexe*durch1 ;weight ponder3b;run;
proc freq data=c(where=(mil=1 ));tables m3_sexe*durch1 ;weight ponder3b;run;

proc freq data=c(where=(mil=2 & c2_raiso=1));tables m3_sexe*durch1 ;weight ponder3b;run;
proc freq data=c(where=(mil=2 & c2_raiso=2));tables m3_sexe*durch1 ;weight ponder3b;run;
proc freq data=c(where=(mil=2 ));tables m3_sexe*durch1 ;weight ponder3b;run;

proc freq data=c(where=(c2_raiso=1)) ;tables m3_sexe*durch1 ;weight ponder3b;run;
proc freq data=c(where=(c2_raiso=2)) ;tables m3_sexe*durch1 ;weight ponder3b;run;
proc freq data=c  ;tables m3_sexe*durch1 ;weight ponder3b;run;

** prtentions salariales des chmeurs (seulement un tiers des chmeurs ont rpondu) ;
data c;set b;
if sitac=2;
** dure de travail souhait;
proc summary data=c(where=(prov=10));class m3_sexe;var c9heure ;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(prov>10 & mil=1));class m3_sexe;var c9heure;output out=res mean=;freq ponder3b;
proc print;run;
proc summary data=c(where=(mil=1));class m3_sexe;var c9heure ;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=2));class m3_sexe;var c9heure ;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c;class m3_sexe;var c9heure ;output out=res mean=;freq ponder3b;proc print;run;

** agence de placement;
proc freq data=c(where=(prov=10 ));tables c12a_pla;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 ));tables c12a_pla;weight ponder3b;run;
proc freq data=c(where=(mil=1 ));tables c12a_pla;weight ponder3b;run;
proc freq data=c(where=(mil=2 ));tables c12a_pla;weight ponder3b;run;
proc freq data=c ;tables c12a_pla;weight ponder3b;run;

** pourquoi pas inscrit  l'ONEM ;
data c;set b;
if sitac=2 & c12a_pla ne 1;
proc freq data=c(where=(prov=10 ));tables c12c_nin;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 ));tables c12c_nin;weight ponder3b;run;
proc freq data=c(where=(mil=1 ));tables c12c_nin;weight ponder3b;run;
proc freq data=c(where=(mil=2 ));tables c12c_nin;weight ponder3b;run;
proc freq data=c ;tables c12c_nin;weight ponder3b;run;

********************************************************************************************************************************

** ACTIF OCCUPE  ;
** champ: actif occup de 10 ans et plus;

data a;set ph1.esip1(where=(m2_statu in(1,2)));
  if m4_age>=10 & sitac =1;

if prov=10 then geo=1;else
if prov>10 & milieu in(1,2) then geo=2;else
if prov>10 & milieu=3 then geo=3;

if milieu in(1,2) then mil=1;else
if milieu=3 then mil=2;
if prov>10 & mil=1 then mil1=1;else mil1=0;

if 10<=m4_age<=14 then ag='02';else
if 15<=m4_age<=19 then ag='03';else
if 20<=m4_age<=24 then ag='04';else
if 25<=m4_age<=29 then ag='05';else
if 30<=m4_age<=34 then ag='06';else
if 35<=m4_age<=39 then ag='07';else
if 40<=m4_age<=44 then ag='08';else
if 45<=m4_age<=49 then ag='09';else
if 50<=m4_age<=54 then ag='10';else
if 55<=m4_age<=59 then ag='11';else
if 60<=m4_age     then ag='12';


if '03'<=ag<='05' then ag1='01';else
if '06'<=ag<='09' then ag1='02';else
if '10'<=ag       then ag1='03';

if m13a_ecp=2 then m14_cla=0;     /* POUR CEUX QUI N'ONT PAS t  l'cole LEUR DUREE VAUT 0  */

mig=0;if m10a_tps in(.,2) then mig=1;    /*  n'a pas tjs vcu ds capitale = migrant */
migrant=0;if m9_lnais=2 & m10a_tps in(.,2) then migrant=1;    /* n ailleurs et n'a pas tjs vcu ds capitale = migrant */
run;

** sexe et migration;
proc freq data=a(where=(prov>10 & mil=1 ));tables  m3_sexe mig migrant;weight ponder3b;run;
proc freq data=a(where=(mil=1 ));tables  m3_sexe mig migrant;weight ponder3b;run;
proc freq data=a(where=(mil=2 ));tables  m3_sexe mig migrant;weight ponder3b;run;
proc freq data=a ;tables   m3_sexe*prov mig*prov migrant*prov;weight ponder3b;run;

** age moyen et anne tudes ;
proc summary data=a;class prov;var m4_age m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=a(where=(prov>10 & mil=1));var m4_age m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=a(where=(mil=1));var m4_age m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=a(where=(mil=2));var m4_age m14_cla;output out=res mean=;freq ponder3b;proc print;run;

** dure dans l'emploi et dans l'entreprise ;
proc summary data=a;class prov;var ap8a1_ae ap8a2_en;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=a(where=(prov>10 & mil=1));var ap8a1_ae ap8a2_en;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=a(where=(mil=1));var ap8a1_ae ap8a2_en;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=a(where=(mil=2));var ap8a1_ae ap8a2_en;output out=res mean=;freq ponder3b;proc print;run;

** taux de salarisation;
data b;set a;
if 0<=ap3_cat<=5 then sal=1;else
if 6<=ap3_cat<=9 then sal=0;
run;
proc freq data=b(where=(prov>10 & mil=1 ));tables  sal;weight ponder3b;run;
proc freq data=b(where=(mil=1 ));tables  sal;weight ponder3b;run;
proc freq data=b(where=(mil=2 ));tables  sal;weight ponder3b;run;
proc freq data=b ;tables   sal*prov  ;weight ponder3b;run;

** taux d'activit secondaire sur les douze derniers mois ;
proc freq data=b(where=(prov>10 & mil=1 ));tables  as1_act;weight ponder3b;run;
proc freq data=b(where=(mil=1 ));tables  as1_act;weight ponder3b;run;
proc freq data=b(where=(mil=2 ));tables  as1_act;weight ponder3b;run;
proc freq data=b ;tables   as1_act*prov  ;weight ponder3b;run;

** taux d'activit secondaire sur les 7 derniers jours ;
proc freq data=b(where=(prov>10 & mil=1 ));tables  as1c_aut/missing;weight ponder3b;run;
proc freq data=b(where=(mil=1 ));tables  as1c_aut/missing;weight ponder3b;run;
proc freq data=b(where=(mil=2 ));tables  as1c_aut/missing;weight ponder3b;run;
proc freq data=b ;tables   as1c_aut*prov/missing  ;weight ponder3b;run;

** branche d'activit;
data b;set a;
if bran5=1 then bran4=1;else
if bran5 in(2,3) then bran4=2;else
if bran5=4 then bran4=3;else
if bran5=5 then bran4=4;

proc freq data=b(where=(prov=10));tables  bran4 ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 ));tables  bran4;weight ponder3b;run;
proc freq data=b(where=(mil=1 ));tables  bran4;weight ponder3b;run;
proc freq data=b(where=(mil=2 ));tables  bran4;weight ponder3b;run;
proc freq data=b ;tables  bran4  ;weight ponder3b;run;

** secteur institutionnel;
proc freq data=b(where=(prov=10));tables  si1 ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 ));tables  si1;weight ponder3b;run;
proc freq data=b(where=(mil=1 ));tables  si1;weight ponder3b;run;
proc freq data=b(where=(mil=2 ));tables  si1;weight ponder3b;run;
proc freq data=b ;tables  si1  ;weight ponder3b;run;

** catgorie socio-professionnelle;
data b;set a;
if 0<=ap3_cat<=2 then cat=1;else            /*  Cadres                      */
if 6<=ap3_cat<=7 then cat=2;else            /*  Travailleurs indpendants   */
if 3<=ap3_cat<=4 then cat=3;else            /*  Employs, ouvriers          */
if ap3_cat in(5,8) then cat=4;else          /*  Manoeuvres et autres        */
if ap3_cat=9 then cat=5;                    /*  Aides familiaux             */

proc freq data=b(where=(prov=10));tables  cat ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 ));tables  cat;weight ponder3b;run;
proc freq data=b(where=(mil=1 ));tables  cat;weight ponder3b;run;
proc freq data=b(where=(mil=2 ));tables  cat;weight ponder3b;run;
proc freq data=b ;tables  cat ;weight ponder3b;run;


** Caractristiques selon le SI;
data b;set a;
if si1 in(1,2) then siap=1;else         /*   public                              */
if si1=3       then siap=2;else         /*   priv formel                        */
if si1 in(4,6) then siap=3;else         /* informel non agricole + associations  */
if si1=5       then siap=4;             /* informel agricole                     */
run;
** structure  par SI;
proc freq data=b(where=(prov=10));tables  siap ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 ));tables  siap;weight ponder3b;run;
proc freq data=b(where=(mil=1 ));tables  siap;weight ponder3b;run;
proc freq data=b(where=(mil=2 ));tables  siap;weight ponder3b;run;
proc freq data=b ;tables  siap ;weight ponder3b;run;

** sexe  et migration par SI;
proc freq data=b(where=(prov=10));tables  siap*m3_sexe siap*mig siap*migrant ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 ));tables  siap*m3_sexe siap*mig siap*migrant;weight ponder3b;run;
proc freq data=b(where=(mil=1 ));tables  siap*m3_sexe siap*mig siap*migrant;weight ponder3b;run;
proc freq data=b(where=(mil=2 ));tables  siap*m3_sexe siap*mig siap*migrant;weight ponder3b;run;
proc freq data=b ;tables  siap*m3_sexe siap*mig siap*migrant ;weight ponder3b;run;

** age moyen, annes tudes, anciennet par SI;
proc summary data=b(where=(prov=10));class siap;var m4_age m14_cla ap8a1_ae ap8a2_en;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(prov>10 & mil=1 ));class siap;var m4_age m14_cla ap8a1_ae ap8a2_en;
output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=1 ));class siap;var m4_age m14_cla ap8a1_ae ap8a2_en;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=2 ));class siap;var m4_age m14_cla ap8a1_ae ap8a2_en;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b;class siap;var m4_age m14_cla ap8a1_ae ap8a2_en;output out=res mean=;freq ponder3b;proc print;run;


** Caractristiques selon la branche activit;
data b;set a;
if m4_age>=10;
if si1 in(1,2) then siap=1;else         /*   public                              */
if si1=3       then siap=2;else         /*   priv formel                        */
if si1 in(4,6) then siap=3;else         /* informel non agricole + associations  */
if si1=5       then siap=4;             /* informel agricole                     */

if bran5=1 then bran4=1;else
if bran5 in(2,3) then bran4=2;else
if bran5=4 then bran4=3;else
if bran5=5 then bran4=4;

if siap in(1,2) & ap3_cat in(0,1,2,3,4,5)   then categ=1;else      /*  Salari secteur formel                          */
if siap = 3 & ap3_cat in(6,7)               then categ=2;else      /*  indpendant  secteur informel non agricole      */
if siap =3 & ap3_cat in(0,1,2,3,4,5,8,9)    then categ=3;else      /*  dpendant secteur informel non agricole         */
if siap = 4 & ap3_cat in(6,7)               then categ=4;else      /*  indpendant secteur informel agricole           */
if siap = 4 & ap3_cat in(0,1,2,3,4,5,8,9)   then categ=5;          /*   dpendant secteur informel  agricole           */

if 10<=m4_age<=14 then ag='02';else
if 15<=m4_age<=19 then ag='03';else
if 20<=m4_age<=24 then ag='04';else
if 25<=m4_age<=29 then ag='05';else
if 30<=m4_age<=34 then ag='06';else
if 35<=m4_age<=39 then ag='07';else
if 40<=m4_age<=44 then ag='08';else
if 45<=m4_age<=49 then ag='09';else
if 50<=m4_age<=54 then ag='10';else
if 55<=m4_age<=59 then ag='11';else
if 60<=m4_age     then ag='12';

if '03'<=ag<='05' then ag1='01';else
if '06'<=ag<='09' then ag1='02';else
if '10'<=ag       then ag1='03';

if 0<=ap3_cat<=2 then cat=1;else            /*  Cadres                      */
if 6<=ap3_cat<=7 then cat=2;else            /*  Travailleurs indpendants   */
if 3<=ap3_cat<=4 then cat=3;else            /*  Employs, ouvriers          */
if ap3_cat in(5,8) then cat=4;else          /*  Manoeuvres et autres        */
if ap3_cat=9 then cat=5;                    /*  Aides familiaux             */

if ap8e_ctr in(1,2) then cont=1;else
if ap8e_ctr in(3,4) then cont=0;

if m13a_ecp=2 then m14_cla=0;     /* POUR CEUX QUI N'ONT PAS t  l'cole LEUR DUREE VAUT 0  */

if ap11_hh=99 then ap11_hh=.;
run;

** structure  par BRANCHE activit;
proc freq data=b(where=(prov=10));tables  bran4 ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 ));tables  bran4;weight ponder3b;run;
proc freq data=b(where=(mil=1 ));tables  bran4;weight ponder3b;run;
proc freq data=b(where=(mil=2 ));tables  bran4;weight ponder3b;run;
proc freq data=b ;tables  bran4 ;weight ponder3b;run;

** sexe  et migration par BRANCHE activit;
proc freq data=b(where=(prov=10));tables  bran4*m3_sexe bran4*mig bran4*migrant ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 ));tables  bran4*m3_sexe bran4*mig bran4*migrant;weight ponder3b;run;
proc freq data=b(where=(mil=1 ));tables  bran4*m3_sexe bran4*mig bran4*migrant;weight ponder3b;run;
proc freq data=b(where=(mil=2 ));tables  bran4*m3_sexe bran4*mig bran4*migrant;weight ponder3b;run;
proc freq data=b ;tables  bran4*m3_sexe bran4*mig bran4*migrant ;weight ponder3b;run;

** age moyen, annes tudes, anciennet par BRANCHE activit;
proc summary data=b(where=(prov=10));class bran4;var m4_age m14_cla ap8a1_ae ap8a2_en;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(prov>10 & mil=1 ));class bran4;var m4_age m14_cla ap8a1_ae ap8a2_en;
output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=1 ));class bran4;var m4_age m14_cla ap8a1_ae ap8a2_en;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=2 ));class bran4;var m4_age m14_cla ap8a1_ae ap8a2_en;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b;class bran4;var m4_age m14_cla ap8a1_ae ap8a2_en;output out=res mean=;freq ponder3b;proc print;run;

** catgorie de travailleurs par ge ;
proc freq data=b(where=(prov=10 & ag='02'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & ag='03'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & ag='04'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & ag='05'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & ag='06'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & ag='07'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & ag='08'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & ag='09'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & ag='10'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & ag='11'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & ag='12'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 ));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 ));tables  ag ag1;weight ponder3b;run;

proc freq data=b(where=(prov=10 & ag1='01'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & ag1='02'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & ag1='03'));tables  categ;weight ponder3b;run;

proc freq data=b(where=(prov>10 & mil=1 & ag='02'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & ag='03'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & ag='04'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & ag='05'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & ag='06'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & ag='07'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & ag='08'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & ag='09'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & ag='10'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & ag='11'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & ag='12'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 ));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 ));tables  ag ag1;weight ponder3b;run;

proc freq data=b(where=(prov>10 & mil=1 & ag1='01'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & ag1='02'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & ag1='03'));tables  categ;weight ponder3b;run;

proc freq data=b(where=( mil=1 & ag='02'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & ag='03'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & ag='04'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & ag='05'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & ag='06'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & ag='07'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & ag='08'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & ag='09'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & ag='10'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & ag='11'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & ag='12'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 ));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 ));tables  ag ag1;weight ponder3b;run;

proc freq data=b(where=( mil=1 & ag1='01'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & ag1='02'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & ag1='03'));tables  categ;weight ponder3b;run;

proc freq data=b(where=( mil=2 & ag='02'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & ag='03'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & ag='04'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & ag='05'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & ag='06'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & ag='07'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & ag='08'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & ag='09'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & ag='10'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & ag='11'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & ag='12'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 ));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 ));tables  ag ag1;weight ponder3b;run;

proc freq data=b(where=( mil=2 & ag1='01'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & ag1='02'));tables  categ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & ag1='03'));tables  categ;weight ponder3b;run;

proc freq data=b(where=(  ag='02'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(  ag='03'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(  ag='04'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(  ag='05'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(  ag='06'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(  ag='07'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(  ag='08'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(  ag='09'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(  ag='10'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(  ag='11'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(  ag='12'));tables  categ;weight ponder3b;run;
proc freq data=b ;tables  categ;weight ponder3b;run;
proc freq data=b ;tables  ag ag1;weight ponder3b;run;

proc freq data=b(where=(  ag1='01'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(  ag1='02'));tables  categ;weight ponder3b;run;
proc freq data=b(where=(  ag1='03'));tables  categ;weight ponder3b;run;


** nombre d'heures en moyenne, mediane par SI;
data c;set b;
if ap11_hh=99 then ap11_hh=.;
proc sort;by siap;
proc univariate data=c(where=(prov=10));by siap;var ap11_hh;output out=res ;freq ponder3b;run;
proc univariate data=c(where=(prov=10));var ap11_hh;output out=res ;freq ponder3b;run;

proc univariate data=c(where=(prov>10 & mil=1));by siap;var ap11_hh;output out=res ;freq ponder3b;run;
proc univariate data=c(where=(prov>10 & mil=1));var ap11_hh;output out=res ;freq ponder3b;run;

proc univariate data=c(where=( mil=1));by siap;var ap11_hh;output out=res ;freq ponder3b;run;
proc univariate data=c(where=( mil=1));var ap11_hh;output out=res ;freq ponder3b;run;

proc univariate data=c(where=( mil=2));by siap;var ap11_hh;output out=res ;freq ponder3b;run;
proc univariate data=c(where=( mil=2));var ap11_hh;output out=res ;freq ponder3b;run;

proc univariate data=c;by siap;var ap11_hh;output out=res ;freq ponder3b;run;
proc univariate data=c;var ap11_hh;output out=res ;freq ponder3b;run;

** travailleurs dpendants avec bulletin de paie, contrat, permanent ou non par SI;
data c;set b;
if ap3_cat in(0,1,2,3,4,5,8,9);
if ap8e_ctr in(1,2) then cont=1;else
if ap8e_ctr in(3,4) then cont=0;

proc freq data=c(where=(prov=10));tables  siap*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables  siap*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables  siap*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables  siap*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c ;tables  siap*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;

** caractristiques des actifs par SI;
proc freq data=b(where=(prov=10 & siap=1));tables cat ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & siap=2));tables cat ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & siap=3));tables cat ;weight ponder3b;run;
proc freq data=b(where=(prov=10 & siap=4));tables cat ;weight ponder3b;run;
proc freq data=b(where=(prov=10 ));tables cat ;weight ponder3b;run;

proc freq data=b(where=(prov>10 & mil=1 & siap=1));tables cat ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & siap=2));tables cat ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & siap=3));tables cat ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 & siap=4));tables cat ;weight ponder3b;run;
proc freq data=b(where=(prov>10 & mil=1 ));tables cat ;weight ponder3b;run;

proc freq data=b(where=( mil=1 & siap=1));tables cat ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & siap=2));tables cat ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & siap=3));tables cat ;weight ponder3b;run;
proc freq data=b(where=( mil=1 & siap=4));tables cat ;weight ponder3b;run;
proc freq data=b(where=( mil=1 ));tables cat ;weight ponder3b;run;

proc freq data=b(where=( mil=2 & siap=1));tables cat ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & siap=2));tables cat ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & siap=3));tables cat ;weight ponder3b;run;
proc freq data=b(where=( mil=2 & siap=4));tables cat ;weight ponder3b;run;
proc freq data=b(where=( mil=2 ));tables cat ;weight ponder3b;run;

proc freq data=b(where=(  siap=1));tables cat ;weight ponder3b;run;
proc freq data=b(where=(  siap=2));tables cat ;weight ponder3b;run;
proc freq data=b(where=(  siap=3));tables cat ;weight ponder3b;run;
proc freq data=b(where=(  siap=4));tables cat ;weight ponder3b;run;
proc freq data=b;tables cat ;weight ponder3b;run;


**  temps de travail, anciennet par SI;
proc summary data=b(where=(prov=10 & siap=1));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(prov=10 & siap=2));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(prov=10 & siap=3));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(prov=10 & siap=4));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(prov=10 ));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;

proc summary data=b(where=(prov>10 & mil=1  & siap=1));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc
 print;run;
proc summary data=b(where=(prov>10 & mil=1  & siap=2));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc
 print;run;
proc summary data=b(where=(prov>10 & mil=1  & siap=3));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc
 print;run;
proc summary data=b(where=(prov>10 & mil=1  & siap=4));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc
 print;run;
proc summary data=b(where=(prov>10 & mil=1  ));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;

proc summary data=b(where=(mil=1 & siap=1));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=1 & siap=2));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=1 & siap=3));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=1 & siap=4));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=1 ));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;

proc summary data=b(where=(mil=2 & siap=1));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=2 & siap=2));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=2 & siap=3));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=2 & siap=4));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=(mil=2 ));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;

proc summary data=b(where=( siap=1));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=( siap=2));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=( siap=3));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b(where=( siap=4));class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=b;class cat;var  ap8a1_ae AP11_hh;output out=res mean=;freq ponder3b;proc print;run;

** temps de travail des actifs informels;
data c;set b;
if 0<=ap11_hh<35    then hh=1;else       /*  moins de 35 h  */
if 35<=ap11_hh<=48  then hh=2;else       /*  35  48 h  */
if ap11_hh>48       then hh=3;           /* plus de 48h  */

proc freq data=c(where=(prov=10 & siap=1));tables hh ;weight ponder3b;run;
proc freq data=c(where=(prov=10 & siap=2));tables hh ;weight ponder3b;run;
proc freq data=c(where=(prov=10 & siap=3));tables hh ;weight ponder3b;run;
proc freq data=c(where=(prov=10 & siap=4));tables hh ;weight ponder3b;run;
proc freq data=c(where=(prov=10));tables hh ;weight ponder3b;run;

proc freq data=c(where=(prov>10 & mil=1  & siap=1));tables hh ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1  & siap=2));tables hh ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1  & siap=3));tables hh ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1  & siap=4));tables hh ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 ));tables hh ;weight ponder3b;run;

proc freq data=c(where=( mil=1  & siap=1));tables hh ;weight ponder3b;run;
proc freq data=c(where=( mil=1  & siap=2));tables hh ;weight ponder3b;run;
proc freq data=c(where=( mil=1  & siap=3));tables hh ;weight ponder3b;run;
proc freq data=c(where=( mil=1  & siap=4));tables hh ;weight ponder3b;run;
proc freq data=c(where=( mil=1 ));tables hh ;weight ponder3b;run;

proc freq data=c(where=( mil=2  & siap=1));tables hh ;weight ponder3b;run;
proc freq data=c(where=( mil=2  & siap=2));tables hh ;weight ponder3b;run;
proc freq data=c(where=( mil=2  & siap=3));tables hh ;weight ponder3b;run;
proc freq data=c(where=( mil=2  & siap=4));tables hh ;weight ponder3b;run;
proc freq data=c(where=( mil=2 ));tables hh ;weight ponder3b;run;

proc freq data=c(where=(  siap=1));tables hh ;weight ponder3b;run;
proc freq data=c(where=(  siap=2));tables hh ;weight ponder3b;run;
proc freq data=c(where=(  siap=3));tables hh ;weight ponder3b;run;
proc freq data=c(where=(  siap=4));tables hh ;weight ponder3b;run;
proc freq data=c;tables hh ;weight ponder3b;run;


** travailleurs dependants contrat permanent et bulletin de paie par catgorie socio  ;
data c;set b;
if ap3_cat in(0,1,2,3,4,5,8,9);

proc freq data=c(where=(prov=10 & siap=1 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(prov=10 & siap=2 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(prov=10 & siap=3 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(prov=10 & siap=4 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(prov=10 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;

proc freq data=c(where=(prov>10 & mil=1 & siap=1 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 & siap=2 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 & siap=3 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 & siap=4 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;

proc freq data=c(where=( mil=1 & siap=1 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=( mil=1 & siap=2 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=( mil=1 & siap=3 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=( mil=1 & siap=4 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=( mil=1 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;

proc freq data=c(where=( mil=2 & siap=1 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=( mil=2 & siap=2 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=( mil=2 & siap=3 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=( mil=2 & siap=4 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=( mil=2 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;

proc freq data=c(where=(  siap=1 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(  siap=2 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(  siap=3 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c(where=(  siap=4 ));tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;
proc freq data=c;tables  cat*(ap8d_bul cont ap9a_con) ;weight ponder3b;run;



****************************************************************************************************************************************

** composition des mnages selon le type de mnages;
data a;set ph1.esip1(keep=idmen ponder3b m5_lien prov milieu si1 sitac);

if milieu in(1,2) then mil=1;else
if milieu=3 then mil=2;
if prov>10 & mil=1 then mil1=1;else mil1=0;

if m5_lien=1 & si1 in(1,2) then typchef=1;else       /*  mnage dont chef est public                         */
if m5_lien=1 & si1 =3      then typchef=2;else       /*  mnage dont chef est formel priv                   */
if m5_lien=1 & si1 in(4,6) then typchef=3;else       /*  mnage dont chef est informel non agricole + assoc  */
if m5_lien=1 & si1 =5      then typchef=4;else       /*  mnage dont chef est informel agricole              */
if m5_lien=1 & sitac in(2,3,4) then typchef=5;           /*  mnage dont chef est chomeur  inactif               */

if m5_lien=1;
keep idmen mil typchef;proc sort;by idmen;run;


data b;set  ph1.esip1;proc sort;by idmen;run;
data ab;merge b(in=a) a(in=a);by idmen;if a then output;run;
data ab;set ab;

data ph1.esip2;set ab;run;

/* il reste 24 mnages dont on ne peut pas codifier le type de mnage, le chef n'a pas rempli le module EA  */
** rpartition des mnages selon le type  de mnages;
proc freq data=ab(where=(m5_lien=1 & prov=10));tables typchef;weight ponder3b;run;
proc freq data=ab(where=(m5_lien=1 & prov>10 & mil=1));tables typchef;weight ponder3b;run;
proc freq data=ab(where=(m5_lien=1 & mil=1));tables typchef;weight ponder3b;run;
proc freq data=ab(where=(m5_lien=1 & mil=2));tables typchef;weight ponder3b;run;
proc freq data=ab(where=(m5_lien=1 ));tables typchef;weight ponder3b;run;

** rpartition des individus selon le type  de mnages;
proc freq data=ab(where=( prov=10));tables typchef;weight ponder3b;run;
proc freq data=ab(where=( prov>10 & mil=1));tables typchef;weight ponder3b;run;
proc freq data=ab(where=( mil=1));tables typchef;weight ponder3b;run;
proc freq data=ab(where=( mil=2));tables typchef;weight ponder3b;run;
proc freq data=ab;tables typchef;weight ponder3b;run;

** rpartition des individus de 10 ans et plus selon le type  de mnages;
proc freq data=ab(where=(m4_age>=10 & prov=10));tables typchef;weight ponder3b;run;
proc freq data=ab(where=(m4_age>=10 & prov>10 & mil=1));tables typchef;weight ponder3b;run;
proc freq data=ab(where=(m4_age>=10 & mil=1));tables typchef;weight ponder3b;run;
proc freq data=ab(where=(m4_age>=10 & mil=2));tables typchef;weight ponder3b;run;
proc freq data=ab(where=(m4_age>=10 ));tables typchef;weight ponder3b;run;

** % de femmes chefs ;
proc freq data=ab(where=(m5_lien=1 & prov=10));tables m3_sexe*typchef;weight ponder3b;run;
proc freq data=ab(where=(m5_lien=1 & prov>10 & mil=1));tables m3_sexe*typchef;weight ponder3b;run;
proc freq data=ab(where=(m5_lien=1 & mil=1));tables m3_sexe*typchef;weight ponder3b;run;
proc freq data=ab(where=(m5_lien=1 & mil=2));tables m3_sexe*typchef;weight ponder3b;run;
proc freq data=ab(where=(m5_lien=1 ));tables m3_sexe*typchef;weight ponder3b;run;

** age moyen des  chefs ;
data c;set ph1.esip2(keep=m2_statu m5_lien ponder3b typchef m13a_ecp m4_age m14_cla prov mil);
if m2_statu in(1,2);

if m13a_ecp=2 then m14_cla=0;     /* POUR CEUX QUI N'ONT PAS t  l'cole LEUR DUREE VAUT 0  */
if m5_lien=1;
proc summary data=c(where=(prov=10));class typchef;var m4_age m14_cla;output out=res mean=;freq ponder3b;proc
 print;run;
proc summary data=c(where=(prov>10 & mil=1 ));class typchef;var m4_age m14_cla ;
output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=1 ));class typchef;var m4_age m14_cla ;output out=res mean=;freq ponder3b;proc
 print;run;
proc summary data=c(where=(mil=2 ));class typchef;var m4_age m14_cla ;output out=res mean=;freq ponder3b;proc
 print;run;
proc summary data=c;class typchef;var m4_age m14_cla ;output out=res mean=;freq ponder3b;proc print;run;


** chefs cadres par type de menage et contrat du chef ;
data c;set ph1.esip2(keep=m2_statu m5_lien ponder3b typchef  prov mil ap3_cat ap8e_ctr);
if m2_statu in(1,2);
if m5_lien=1;
if ap8e_ctr in(1,2) then cont=1;else
if ap8e_ctr in(3,4) then cont=0;
if ap3_cat in(0,1,2)       then cadre=1;else
if ap3_cat in(4,5,6,7,8,9) then cadre=0;
proc freq data=c(where=( prov=10 & sitac=1));tables cadre*typchef cont*typchef;weight ponder3b;run;
proc freq data=c(where=( prov>10 & mil=1));tables  cadre*typchef cont*typchef;weight ponder3b;run;
proc freq data=c(where=( mil=1));tables  cadre*typchef cont*typchef;weight ponder3b;run;
proc freq data=c(where=( mil=2));tables  cadre*typchef cont*typchef;weight ponder3b;run;
proc freq data=c;tables  cadre*typchef cont*typchef;weight ponder3b;run;

** nb anne tudes du conjoint par type de menages ;
data c;set ph1.esip2(keep=m2_statu m5_lien sitac ponder3b m13a_ecp typchef  prov mil m14_cla ap3_cat ap8e_ctr);
if m2_statu in(1,2);
if m5_lien=2;
if m13a_ecp=2 then m14_cla=0;     /* POUR CEUX QUI N'ONT PAS t  l'cole LEUR DUREE VAUT 0  */
proc summary data=c(where=(prov=10));class typchef;var m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(prov>10 & mil=1 ));class typchef;var m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=1));class typchef;var m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=2));class typchef;var m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c;class typchef;var m14_cla;output out=res mean=;freq ponder3b;proc print;run;


** nb anne tudes des enfants par type de menages ;
data c;set ph1.esip2(keep=m2_statu m5_lien ponder3b typchef m13a_ecp  prov mil m14_cla m4_age ap3_cat ap8e_ctr);
if m2_statu in(1,2);
if m5_lien=3 & m4_age>=15;
if m13a_ecp=2 then m14_cla=0;     /* POUR CEUX QUI N'ONT PAS t  l'cole LEUR DUREE VAUT 0  */
proc summary data=c(where=(prov=10));class typchef;var m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(prov>10 & mil=1 ));class typchef;var m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=1));class typchef;var m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=2));class typchef;var m14_cla;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c;class typchef;var m14_cla;output out=res mean=;freq ponder3b;proc print;run;

** taux activite des membres secondaires par type de menages ;
data c;set ph1.esip2(keep=m2_statu m5_lien ponder3b typchef si1 sitac prov mil m14_cla m4_age ap3_cat ap8e_ctr);
if m2_statu in(1,2);
if m5_lien in(2,3,4,5,6) & m4_age>=10 & sitac in(1,2,3,4) ;

if sitac in(1,2) then act=1;else act=0;             /*  actif */
if ap3_cat in(0,1,2,3,4,5) then sal=1;else          /*  salarie */
if ap3_cat in(6,7,8,9) then sal=0;
if sitac=2  then cho=1;else  cho=0;                 /*  chomeur BIT  */
if sitac in(2,3) then cho1=1;else cho1=0;           /*  chomeur large  */
if ap3_cat in(0,1,2,3,4,5,8,9) then dep=1;else     /* travailleurs dependants */
if ap3_cat in(6,7) then dep=0;
if si1 in(1,2) then siap=1;else         /*   public                              */
if si1=3       then siap=2;else         /*   priv formel                        */
if si1 in(4,6) then siap=3;else         /* informel non agricole + associations  */
if si1=5       then siap=4;             /* informel agricole                     */

run;


proc freq data=c(where=(prov=10));tables act*typchef;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 ));tables act*typchef;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables act*typchef;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables act*typchef;weight ponder3b;run;
proc freq data=c;tables act*typchef;weight ponder3b;run;

** taux chmage BIT des membres secondaires par type de menages ;
proc freq data=c(where=(prov=10 & sitac in(1,2)));tables cho*typchef;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 & sitac in(1,2)));tables cho*typchef;weight ponder3b;run;
proc freq data=c(where=(mil=1 & sitac in(1,2)));tables cho*typchef;weight ponder3b;run;
proc freq data=c(where=(mil=2 & sitac in(1,2)));tables cho*typchef;weight ponder3b;run;
proc freq data=c(where=(sitac in(1,2)));tables cho*typchef;weight ponder3b;run;

** taux chmage LARGE des membres secondaires par type de menages ;
proc freq data=c(where=(prov=10 & sitac in(1,2,3)));tables cho1*typchef;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 & sitac in(1,2,3)));tables cho1*typchef;weight ponder3b;run;
proc freq data=c(where=(mil=1 & sitac in(1,2,3)));tables cho1*typchef;weight ponder3b;run;
proc freq data=c(where=(mil=2 & sitac in(1,2,3)));tables cho1*typchef;weight ponder3b;run;
proc freq data=c(where=(sitac in(1,2,3)));tables cho1*typchef;weight ponder3b;run;

** taux de salaries des membres secondaires par type de menages ;
proc freq data=c(where=(prov=10 & sitac=1));tables sal*typchef;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 & sitac=1));tables sal*typchef;weight ponder3b;run;
proc freq data=c(where=(mil=1 & sitac=1));tables sal*typchef;weight ponder3b;run;
proc freq data=c(where=(mil=2 & sitac=1));tables sal*typchef;weight ponder3b;run;
proc freq data=c(where=(sitac=1));tables sal*typchef;weight ponder3b;run;

** taux de travailleurs dependants  des membres secondaires par type de menages ;
proc freq data=c(where=(prov=10 & sitac=1));tables dep*typchef;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 & sitac=1));tables dep*typchef;weight ponder3b;run;
proc freq data=c(where=(mil=1 & sitac=1));tables dep*typchef;weight ponder3b;run;
proc freq data=c(where=(mil=2 & sitac=1));tables dep*typchef;weight ponder3b;run;
proc freq data=c(where=(sitac=1));tables dep*typchef;weight ponder3b;run;

** SI des membres secondaires par type de menages ;
proc freq data=c(where=(prov=10 & sitac=1));tables siap*typchef;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 & sitac=1));tables siap*typchef;weight ponder3b;run;
proc freq data=c(where=(mil=1 & sitac=1));tables siap*typchef;weight ponder3b;run;
proc freq data=c(where=(mil=2 & sitac=1));tables siap*typchef;weight ponder3b;run;
proc freq data=c(where=(sitac=1));tables siap*typchef;weight ponder3b;run;

** taille moyenne des mnages par type de mnage;
data c;set ph1.esip2(keep=m5_lien ponder3b nbind typchef prov mil );
if m5_lien=1;
proc summary data=c(where=(prov=10));class typchef;var nbind;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(prov>10 & mil=1));class typchef;var nbind;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=1));class typchef;var nbind;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=2));class typchef;var nbind;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c;class typchef;var nbind;output out=res mean=;freq ponder3b;proc print;run;


****************************************************************************************************************************************
****************************************************************************************************************************************

** statut d'occupation des mnages selon type de mnages;
data c;set ph1.esip2(keep=m5_lien ponder3b h1_type -- e25_gard typchef prov mil );
if m5_lien=1;
if h5_stocu in(5,7) then h5_stocu=7;

proc freq data=c(where=(prov=10 & typchef=1));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(prov=10 & typchef=2));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(prov=10 & typchef=3));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(prov=10 & typchef=4));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(prov=10 & typchef=5));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(prov=10  ));tables  h5_stocu;weight ponder3b ;run;

proc freq data=c(where=(prov>10 & mil=1 & typchef=1));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(prov>10 & mil=1 & typchef=2));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(prov>10 & mil=1 & typchef=3));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(prov>10 & mil=1 & typchef=4));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(prov>10 & mil=1 & typchef=5));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(prov>10 & mil=1));tables  h5_stocu;weight ponder3b ;run;

proc freq data=c(where=(mil=1 & typchef=1));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(mil=1 & typchef=2));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(mil=1 & typchef=3));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(mil=1 & typchef=4));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(mil=1 & typchef=5));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(mil=1));tables  h5_stocu;weight ponder3b ;run;

proc freq data=c(where=(mil=2 & typchef=1));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(mil=2 & typchef=2));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(mil=2 & typchef=3));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(mil=2 & typchef=4));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(mil=2 & typchef=5));tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(mil=2));tables  h5_stocu;weight ponder3b ;run;

proc freq data=c(where=(typchef=1)) ;tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(typchef=2)) ;tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(typchef=3)) ;tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(typchef=4)) ;tables  h5_stocu;weight ponder3b ;run;
proc freq data=c(where=(typchef=5)) ;tables  h5_stocu;weight ponder3b ;run;
proc freq data=c ;tables  h5_stocu;weight ponder3b ;run;


data d;set c;
if E1_VOIT=0   then voit =0; else voit =1;
if E2_MOTO=0   then moto =0; else moto =1;
if E3_BICYC=0  then bicy =0; else bicy =1;
if E4_RADIO=0  then radio=0; else radio=1;
if E5_TELE=0   then tele =0; else tele =1;
if E7A_DVD=0   then dvd  =0; else dvd  =1;
if E8_FRIGO=0  then frigo=0; else frigo=1;
if E9A_RECH=0  then rech =0; else rech =1;
if E9_CUISI=0  then cuisi=0; else cuisi=1;
if E13_TELF=0  then telf =0; else telf =1;
if E14_TELP=0  then telp =0; else telp =1;
if E11_VENT=0  then vent =0; else vent =1;
if E10_CLIM=0  then clim =0; else clim =1;
if h1_type in(1,2) then h1_type=1;
if h10_apea in(1,2) then h10_apea=1;
if h8_ecuis in(4,5) then h8_ecuis=4;

proc freq data=d(where=(prov=10 )) ;
tables typchef*(H1_TYPE H9_ECLAI H10_APEA H8_ECUIS voit moto bicy radio tele dvd frigo rech cuisi
       telf telp vent clim);weight ponder3b ;run;

proc freq data=d(where=(prov>10 & mil=1 )) ;
tables typchef*(H1_TYPE H9_ECLAI H10_APEA H8_ECUIS voit moto bicy radio tele dvd frigo rech cuisi
       telf telp vent clim);weight ponder3b ;run;

proc freq data=d(where=( mil=1 )) ;
tables typchef*(H1_TYPE H9_ECLAI H10_APEA H8_ECUIS voit moto bicy radio tele dvd frigo rech cuisi
       telf telp vent clim);weight ponder3b ;run;

proc freq data=d(where=( mil=2 )) ;
tables typchef*(H1_TYPE H9_ECLAI H10_APEA H8_ECUIS voit moto bicy radio tele dvd frigo rech cuisi
       telf telp vent clim);weight ponder3b ;run;

proc freq data=d ;
tables typchef*(H1_TYPE H9_ECLAI H10_APEA H8_ECUIS voit moto bicy radio tele dvd frigo rech cuisi
       telf telp vent clim);weight ponder3b ;run;


****************************************************************************************************************************************
****************************************************************************************************************************************

** mobilit scolaire et professionnelle intergenerationnelle;
data c;set ph1.esip2(keep=m5_lien m2_statu m13a_ecp ponder3b m3_sexe m4_age m9_lnais m10a_tps m14_cla ap3_cat si1 sitac tp1_pere tp2_csp
                          tp3_entr tp4_sect tp5_scol  typchef prov mil  );
if m2_statu in(1,2);

if 15<=m4_age<=29 then ag=1;else             /* 15 - 29 ans     */
if 30<=m4_age<=44 then ag=2;else             /* 30 - 44 ans     */
if 45<=m4_age<=59 then ag=3;else             /* 45 - 59 ans     */
if m4_age>=60     then ag=4;                 /* 60 ans et plus  */

if m13a_ecp=2 then m14_cla=0;     /* POUR CEUX QUI N'ONT PAS t  l'cole LEUR DUREE VAUT 0  */

if tp5_scol>22 then tp5_scol=.;
/* on garde que ceux dont le niveau education pour le pere est renseigne  */
if tp5_scol ne . & m4_age>=15;

mig=0;if m10a_tps in(.,2) then mig=1;    /*  n'a pas tjs vcu ds capitale = migrant */
migrant=0;if m9_lnais=2 & m10a_tps in(.,2) then migrant=1;    /* n ailleurs et n'a pas tjs vcu ds capitale = migrant */

** pour l'enquet;
if m14_cla=0       then isco=0;else          /*  pas d'cole  */
if 1<=m14_cla<=6   then isco=1;else          /*  au moins une anne  l'cole primaire  */
if 7<=m14_cla<=12  then isco=2;else          /*  au moins une anne  lcole secondaire  */
if m14_cla>13      then isco=3;              /*  unversitaire   */
** pour le pere;
if tp5_scol=0       then psco=0;else          /*  pas d'cole  */
if 1<=tp5_scol<=6   then psco=1;else          /*  au moins une anne  l'cole primaire  */
if 7<=tp5_scol<=12  then psco=2;else          /*  au moins une anne  lcole secondaire  */
if tp5_scol>13      then psco=3;              /*  unversitaire   */

run;

** nombre d'annes tudes du pre et de l'enqut;
proc summary data=c(where=(prov=10 & m3_sexe=1));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(prov=10 & m3_sexe=2));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(prov=10 ));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;

proc summary data=c(where=(prov>10 & mil=1 & m3_sexe=1));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(prov>10 & mil=1 & m3_sexe=2));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(prov>10 & mil=1 ));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;

proc summary data=c(where=(mil=1 & m3_sexe=1));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=1 & m3_sexe=2));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=1 ));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;

proc summary data=c(where=(mil=2 & m3_sexe=1));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=2 & m3_sexe=2));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=2 ));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;

proc summary data=c(where=(  m3_sexe=1));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(  m3_sexe=2));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c ;class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;



** nombre d'annes tudes du pre et de l'enqut;
proc summary data=c(where=(prov=10 & mig=0));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(prov=10 & mig=1));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(prov=10 ));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;

proc summary data=c(where=(prov>10 & mil=1 & mig=0));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(prov>10 & mil=1 & mig=1));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(prov>10 & mil=1 ));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;

proc summary data=c(where=(mil=1 & mig=0));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=1 & mig=1));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=1 ));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;

proc summary data=c(where=(mil=2 & mig=0));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=2 & mig=1));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(mil=2 ));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;

proc summary data=c(where=(  mig=0));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c(where=(  mig=1));class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=c ;class ag;var m14_cla tp5_scol;output out=res mean=;freq ponder3b;proc print;run;

** table de mobilit selon niveau education;
proc freq data=c(where=(prov=10));tables isco*psco;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables isco*psco;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables isco*psco;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables isco*psco;weight ponder3b;run;
proc freq data=c;tables isco*psco;weight ponder3b;run;

** table de mobilit selon niveau education;
proc freq data=c(where=(prov=10));tables psco*isco;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables psco*isco;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables psco*isco;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables psco*isco;weight ponder3b;run;
proc freq data=c;tables psco*isco;weight ponder3b;run;


data d;set c;
if m14_cla >=0 & tp5_scol>=0 then do;
if m14_cla>=tp5_scol then z=1;else
if m14_cla<tp5_scol then z=0;
end;

proc freq data=d(where=(prov=10  ));tables psco*z ;weight ponder3b;run;
proc freq data=d(where=(prov>10 & mil=1));tables psco*z ;weight ponder3b;run;
proc freq data=d(where=(mil=1));tables psco*z;weight ponder3b;run;
proc freq data=d(where=(mil=2));tables psco*z;weight ponder3b;run;
proc freq data=d;tables psco*z;weight ponder3b;run;

data d;set c;
if m14_cla >=0 & tp5_scol>=0 then do;
if m14_cla>tp5_scol then z=1;else
if m14_cla<=tp5_scol then z=0;
end;

proc freq data=d(where=(prov=10 & m4_age>=25));tables psco*z ;weight ponder3b;run;
proc freq data=d(where=(prov>10 & mil=1 & m4_age>=25));tables psco*z ;weight ponder3b;run;
proc freq data=d(where=(mil=1 & m4_age>=25));tables psco*z;weight ponder3b;run;
proc freq data=d(where=(mil=2 & m4_age>=25));tables psco*z;weight ponder3b;run;
proc freq data=d(where=(m4_age>=25 ));tables psco*z;weight ponder3b;run;
proc freq data=d(where=(m4_age>=25 & m3_sexe=1));tables psco*z;weight ponder3b;run;
proc freq data=d(where=(m4_age>=25 & m3_sexe=2));tables psco*z;weight ponder3b;run;

       /*  colonne  : nbre d'annes en plus du tableau sur mobilit scolaire     */
data d;set c;
if m14_cla >=0 & tp5_scol>=0  then do;ec=m14_cla-tp5_scol;end;
proc summary data=d(where=(prov=10));class psco;var ec m14_cla tp5_scol;output out=a2 sum= mean=mec mm14 mtp5;
freq ponder3b;run;
data a3;set a2;
ecart=mm14-mtp5;
proc print;run;

proc summary data=d(where=(prov>10 & mil=1));class psco;var ec m14_cla tp5_scol;output out=a2 sum= mean=mec mm14 mtp5;
freq ponder3b;run;
data a3;set a2;
ecart=mm14-mtp5;
proc print;run;

proc summary data=d(where=( mil=1));class psco;var ec m14_cla tp5_scol;output out=a2 sum= mean=mec mm14 mtp5;
freq ponder3b;run;
data a3;set a2;
ecart=mm14-mtp5;
proc print;run;

proc summary data=d(where=( mil=2));class psco;var ec m14_cla tp5_scol;output out=a2 sum= mean=mec mm14 mtp5;
freq ponder3b;run;
data a3;set a2;
ecart=mm14-mtp5;
proc print;run;

proc summary data=d;class psco;var ec m14_cla tp5_scol;output out=a2 sum= mean=mec mm14 mtp5;
freq ponder3b;run;
data a3;set a2;
ecart=mm14-mtp5;
proc print;run;



** mobilit  professionnelle intergenerationnelle;
data c;set ph1.esip2(keep=m5_lien m2_statu m13a_ecp ponder3b m3_sexe m4_age m9_lnais m10a_tps m14_cla ap3_cat si1 sitac tp1_pere tp2_csp
                          tp3_entr tp4_sect tp5_scol  typchef prov mil bran5 );
if m2_statu in(1,2);
** on garde les individus actifs occups dont le pere travaillait lorsqu'il avait 15 ans;
if tp1_pere=1 & m4_age>=15 & sitac=1;

if 15<=m4_age<=29 then ag=1;else             /* 15 - 29 ans     */
if 30<=m4_age<=44 then ag=2;else             /* 30 - 44 ans     */
if 45<=m4_age<=59 then ag=3;else             /* 45 - 59 ans     */
if m4_age>=60     then ag=4;                 /* 60 ans et plus  */

** Type entreprise du pre ;
if tp3_entr in(1,2)     then tpp=1;else    /* Administration & Entreprise publique          */
if tp3_entr in(3,4)     then tpp=2;else    /* Secteur priv formel     */
if tp3_entr in(5,6,7)   then tpp=3;        /* Secteur informel         */


** Secteur instit de l'enqut ;
if si1 in(1,2) then siap=1;else         /*   public                              */
if si1=3       then siap=2;else         /*   priv formel                        */
if si1 in(4,5,6) then siap=3;           /* informel non agricole + agricole + associations  */


if bran5=1 then bran4=1;else               /* agriculture  */
if bran5 in(2,3) then bran4=2;else         /*  industrie   */
if bran5=4 then bran4=3;else               /*  commerce    */
if bran5=5 then bran4=4;                   /*  services    */

** CSP de l'enqu^t actif occupe;;
if ap3_cat in(0,1,2)   then icsp=1;else    /*  cadre                              */
if ap3_cat in(3,4)     then icsp=2;else    /*  Ouvrier qualifi ou semi qualifi  */
if ap3_cat in(5)       then icsp=3;else    /*  Ouvrier non qualifi (manoeuvre)   */
if ap3_cat in(6,7,8,9) then icsp=4;        /*  non salari (patron, CP, Apprenti, Aide familial  */

** CSP du pere;
if tp2_csp in(0,1,2)   then pcsp=1;else    /*  cadre                              */
if tp2_csp in(3,4)     then pcsp=2;else    /*  Ouvrier qualifi ou semi qualifi  */
if tp2_csp in(5)       then pcsp=3;else    /*  Ouvrier non qualifi (manoeuvre)   */
if tp2_csp in(6,7,8,9) then pcsp=4;        /*  non salari (patron, CP, Apprenti, Aide familial  */

** mme CSP que le pere ? ;
if icsp ne . & pcsp ne . then do;
if icsp=pcsp then csmeme=1;else csmeme=0;
end;

** mme secteur activite  que le pere ? ;
if tp4_sect in(1,5) then tp4_sect=1;
if bran4 ne . & tp4_sect ne . then do;
if bran4=tp4_sect then sect=1;else sect=0;
end;

** mme secteur institutionnel  que le pere ? ;
if siap ne . & tpp ne . then do;
if siap=tpp then cssi=1;else cssi=0;
end;

mig=0;if m10a_tps in(.,2) then mig=1;    /*  n'a pas tjs vcu ds capitale = migrant */
migrant=0;if m9_lnais=2 & m10a_tps in(.,2) then migrant=1;    /* n ailleurs et n'a pas tjs vcu ds capitale = migrant */


run;

** table de mobilit selon secteur institutionnel (30 ans et plus) ;
proc freq data=c(where=(prov=10 & m4_age>=30));tables tpp*siap;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 & m4_age>=30));tables  tpp*siap;weight ponder3b;run;
proc freq data=c(where=(mil=1 & m4_age>=30));tables  tpp*siap;weight ponder3b;run;
proc freq data=c(where=(mil=2 & m4_age>=30));tables  tpp*siap;weight ponder3b;run;
proc freq data=c(where=(m4_age>=30));tables  tpp*siap;weight ponder3b;run;

** table de mobilit selon branche activit (30 ans et plus) ;
proc freq data=c(where=(prov=10 & m4_age>=30));tables tp4_sect*bran4;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 & m4_age>=30));tables  tp4_sect*bran4;weight ponder3b;run;
proc freq data=c(where=(mil=1 & m4_age>=30));tables  tp4_sect*bran4;weight ponder3b;run;
proc freq data=c(where=(mil=2 & m4_age>=30));tables  tp4_sect*bran4;weight ponder3b;run;
proc freq data=c(where=(m4_age>=30));tables  tp4_sect*bran4;weight ponder3b;run;

** table de mobilit selon branche activit  (15 ans et plus);
proc freq data=c(where=(prov=10 ));tables bran4*tp4_sect;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 ));tables bran4*tp4_sect;weight ponder3b;run;
proc freq data=c(where=(mil=1 ));tables bran4*tp4_sect;weight ponder3b;run;
proc freq data=c(where=(mil=2 ));tables bran4*tp4_sect;weight ponder3b;run;
proc freq data=c;tables bran4*tp4_sect;weight ponder3b;run;

** table de mobilit selon CS(30 ans et plus);
proc freq data=c(where=(prov=10 & m4_age>=30));tables pcsp*icsp;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 & m4_age>=30));tables  pcsp*icsp;weight ponder3b;run;
proc freq data=c(where=(mil=1 & m4_age>=30));tables  pcsp*icsp;weight ponder3b;run;
proc freq data=c(where=(mil=2 & m4_age>=30));tables  pcsp*icsp;weight ponder3b;run;
proc freq data=c(where=(m4_age>=30));tables  pcsp*icsp;weight ponder3b;run;

** table de mobilit selon CS(15 ans et plus);
proc freq data=c(where=(prov=10));tables icsp*pcsp;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables icsp*pcsp;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables icsp*pcsp;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables icsp*pcsp;weight ponder3b;run;
proc freq data=c;tables icsp*pcsp;weight ponder3b;run;

** Mme secteur activite que le pere selon l'ge(15 ans et plus);
proc freq data=c(where=(prov=10));tables ag*sect;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables ag*sect;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables ag*sect;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables ag*sect;weight ponder3b;run;
proc freq data=c;tables ag*sect;weight ponder3b;run;

** Mme secteur activite que le pere selon l'ge(15 ans et plus);
proc freq data=c(where=(prov=10));tables ag*cssi;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables ag*cssi;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables ag*cssi;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables ag*cssi;weight ponder3b;run;
proc freq data=c;tables ag*cssi;weight ponder3b;run;

** Mme CS que le pere selon l'ge(15 ans et plus);
proc freq data=c(where=(prov=10));tables ag*csmeme;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables ag*csmeme;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables ag*csmeme;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables ag*csmeme;weight ponder3b;run;
proc freq data=c;tables ag*csmeme;weight ponder3b;run;

** Mme CS que le pere selon l'ge(30 ans et plus);
proc freq data=c(where=(prov=10 & m4_age>=30));tables ag*csmeme;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1 & m4_age>=30));tables ag*csmeme;weight ponder3b;run;
proc freq data=c(where=(mil=1 & m4_age>=30));tables ag*csmeme;weight ponder3b;run;
proc freq data=c(where=(mil=2 & m4_age>=30));tables ag*csmeme;weight ponder3b;run;
proc freq data=c(where=(m4_age>=30));tables ag*csmeme;weight ponder3b;run;


** Mme CS que le pere selon migrant ou non (n'a pas tjs vcu ds capitale = migrant);
proc freq data=c(where=(prov=10));tables mig*csmeme;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables mig*csmeme;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables mig*csmeme;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables mig*csmeme;weight ponder3b;run;
proc freq data=c;tables mig*csmeme;weight ponder3b;run;

** Mme CS que le pere selon migrant ou non (n ailleurs et n'a pas tjs vcu ds capitale = migrant);
proc freq data=c(where=(prov=10));tables migrant*csmeme;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables migrant*csmeme;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables migrant*csmeme;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables migrant*csmeme;weight ponder3b;run;
proc freq data=c;tables migrant*csmeme;weight ponder3b;run;



** perception;
data c;set ph1.esip2(keep=m5_lien m2_statu m13a_ecp ponder3b m3_sexe m4_age m9_lnais m10a_tps m14_cla ap3_cat si1 sitac tp1_pere tp2_csp
                          tp15_psp--tp18_ech  typchef prov mil bran5 );
if m2_statu in(1,2);
** on garde les individus actifs occups dont le pere travaillait lorsqu'il avait 15 ans;
if m4_age>=15 ;

if 15<=m4_age<=24 then ag=1;else             /* 15 - 24 ans     */
if 25<=m4_age<=34 then ag=2;else             /* 25 - 34 ans     */
if 35<=m4_age<=44 then ag=3;else             /* 35 - 44 ans     */
if 45<=m4_age<=54 then ag=4;else             /* 45 - 54 ans     */
if m4_age>=55     then ag=5;                 /* 55 ans et plus  */

if bran5=1 then bran4=1;else               /* agriculture  */
if bran5 in(2,3) then bran4=2;else         /*  industrie   */
if bran5=4 then bran4=3;else               /*  commerce    */
if bran5=5 then bran4=4;                   /*  services    */



** CSP souhaite de l'enqut ;
if tp16d_cs in(0,1,2)   then csp_s=1;else    /*  cadre                              */
if tp16d_cs in(3,4)     then csp_s=2;else    /*  Ouvrier qualifi ou semi qualifi  */
if tp16d_cs in(5)       then csp_s=3;else    /*  Ouvrier non qualifi (manoeuvre)   */
if tp16d_cs in(6)       then csp_s=4;else    /*  non salari (patron )   */
if tp16d_cs in(7)       then csp_s=5;else    /*  non salari (  CP)   */
if tp16d_cs in(8,9)     then csp_s=6;        /*  non salari (Apprenti, Aide familial)  */

** Type entreprsie souhaite;
if tp16c_tp in(1)       then tp_s=1;else    /* Administration           */
if tp16c_tp in(2)       then tp_s=2;else    /* Entreprise publique      */
if tp16c_tp in(3,4)     then tp_s=3;else    /* Secteur priv formel     */
if tp16c_tp in(5,6,7)   then tp_s=4;        /* Secteur informel         */

mig=0;if m10a_tps in(.,2) then mig=1;    /*  n'a pas tjs vcu ds capitale = migrant */
migrant=0;if m9_lnais=2 & m10a_tps in(.,2) then migrant=1;    /* n ailleurs et n'a pas tjs vcu ds capitale = migrant */

run;

** perspectives pour les 15 ans et plus ;
proc freq data=c(where=(prov=10));tables ag*tp15_psp;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables ag*tp15_psp;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables ag*tp15_psp;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables ag*tp15_psp;weight ponder3b;run;
proc freq data=c;tables ag*tp15_psp;weight ponder3b;run;

** perspectives pour les actifs occups de 15 ans et plus  ;
data d;set c;if sitac=1;
proc freq data=d(where=(prov=10));tables ag*tp15_psp;weight ponder3b;run;
proc freq data=d(where=(prov>10 & mil=1));tables ag*tp15_psp;weight ponder3b;run;
proc freq data=d(where=(mil=1));tables ag*tp15_psp;weight ponder3b;run;
proc freq data=d(where=(mil=2));tables ag*tp15_psp;weight ponder3b;run;
proc freq data=d;tables ag*tp15_psp;weight ponder3b;run;


** perspectives pour les actifs occups de 15 ans et plus selon genre  ;
data d;set c;if sitac=1;
if tp15_psp=4 then garder=1;else
if tp15_psp in(1,2,3) then garder=0;

proc freq data=d(where=(m3_sexe=1));tables garder*prov;weight ponder3b;run;
proc freq data=d(where=(m3_sexe=2));tables garder*prov;weight ponder3b;run;
proc freq data=d(where=(m3_sexe=1 & prov>10 & mil=1));tables garder;weight ponder3b;run;
proc freq data=d(where=(m3_sexe=2 & prov>10 & mil=1));tables garder;weight ponder3b;run;
proc freq data=d(where=(m3_sexe=1 & mil=1));tables garder;weight ponder3b;run;
proc freq data=d(where=(m3_sexe=2 & mil=1));tables garder;weight ponder3b;run;
proc freq data=d(where=(m3_sexe=1 & mil=2));tables garder;weight ponder3b;run;
proc freq data=d(where=(m3_sexe=2 & mil=2));tables garder;weight ponder3b;run;

proc freq data=d;tables garder*prov;weight ponder3b;run;
proc freq data=d(where=( prov>10 & mil=1));tables garder;weight ponder3b;run;
proc freq data=d(where=( mil=1));tables garder;weight ponder3b;run;
proc freq data=d(where=( mil=2));tables garder;weight ponder3b;run;


** emplois souhaits par les jeunes de 15  24 ans ;
data d;set c;
if tp15_psp in(1,2,3) & 15<=m4_age<=24;

proc freq data=d(where=(prov=10));tables tp_s csp_s;weight ponder3b;run;
proc freq data=d(where=(prov>10 & mil=1));tables tp_s csp_s;weight ponder3b;run;
proc freq data=d(where=(mil=1));tables tp_s csp_s;weight ponder3b;run;
proc freq data=d(where=(mil=2));tables tp_s csp_s;weight ponder3b;run;
proc freq data=d;tables tp_s csp_s;weight ponder3b;run;

** emplois crs par les jeunes de 15  24 ans l'anne prcdente ;
data c;set ph1.esip2(keep=m5_lien m2_statu m13a_ecp ponder3b m3_sexe m4_age m9_lnais m10a_tps m14_cla ap3_cat si1 sitac ap4_ent
                           ap8a2_en typchef prov mil bran5 );
if m2_statu in(1,2);
if sitac=1 & 15<=m4_age<=24;

** CSP de l'enqut ;
if ap3_cat in(0,1,2)   then csp_c=1;else    /*  cadre                              */
if ap3_cat in(3,4)     then csp_c=2;else    /*  Ouvrier qualifi ou semi qualifi  */
if ap3_cat in(5)       then csp_c=3;else    /*  Ouvrier non qualifi (manoeuvre)   */
if ap3_cat in(6)       then csp_c=4;else    /*  non salari (patron )   */
if ap3_cat in(7)       then csp_c=5;else    /*  non salari (  CP)   */
if ap3_cat in(8,9)     then csp_c=6;        /*  non salari (Apprenti, Aide familial)  */

** type entreprise;
if si1=1               then tp_c=1;else    /* Administration           */
if si1=2               then tp_c=2;else    /* Entreprise publique      */
if si1=3               then tp_c=3;else    /* Secteur priv formel     */
if si1 in(4,5,6)       then tp_c=4;        /* Secteur informel         */


if prov=10 then do;if ap8a2_en=0 then crea=1;else if ap8a2_en ne . then crea=0;end;
if prov>10 then do;if ap8a2_en=0 then crea=1;else if ap8a2_en ne . then crea=0;end;

proc freq data=c(where=(prov=10));tables crea*tp_c crea*csp_c;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables crea*tp_c crea*csp_c;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables crea*tp_c crea*csp_c;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables crea*tp_c crea*csp_c;weight ponder3b;run;
proc freq data=c ;tables crea*tp_c crea*csp_c;weight ponder3b;run;


** emplois crs par les  15  ans et plus l'anne prcdente ;
data c;set ph1.esip2(keep=m5_lien m2_statu m13a_ecp ponder3b m3_sexe m4_age m9_lnais m10a_tps m14_cla ap3_cat si1 sitac ap4_ent
                           ap8a2_en typchef prov mil bran5 );
if m2_statu in(1,2);
if sitac=1 &  m4_age>=15;

** CSP de l'enqut ;
if ap3_cat in(0,1,2)   then csp_c=1;else    /*  cadre                              */
if ap3_cat in(3,4)     then csp_c=2;else    /*  Ouvrier qualifi ou semi qualifi  */
if ap3_cat in(5)       then csp_c=3;else    /*  Ouvrier non qualifi (manoeuvre)   */
if ap3_cat in(6)       then csp_c=4;else    /*  non salari (patron )   */
if ap3_cat in(7)       then csp_c=5;else    /*  non salari (  CP)   */
if ap3_cat in(8,9)     then csp_c=6;        /*  non salari (Apprenti, Aide familial)  */

** type entreprise;
if si1=1               then tp_c=1;else    /* Administration           */
if si1=2               then tp_c=2;else    /* Entreprise publique      */
if si1=3               then tp_c=3;else    /* Secteur priv formel     */
if si1 in(4,5,6)       then tp_c=4;        /* Secteur informel         */


if prov=10 then do;if ap8a2_en=0 then crea=1;else if ap8a2_en ne . then crea=0;end;
if prov>10 then do;if ap8a2_en=0 then crea=1;else if ap8a2_en ne . then crea=0;end;

proc freq data=c(where=(prov=10));tables crea*tp_c crea*csp_c;weight ponder3b;run;
proc freq data=c(where=(prov>10 & mil=1));tables crea*tp_c crea*csp_c;weight ponder3b;run;
proc freq data=c(where=(mil=1));tables crea*tp_c crea*csp_c;weight ponder3b;run;
proc freq data=c(where=(mil=2));tables crea*tp_c crea*csp_c;weight ponder3b;run;
proc freq data=c ;tables crea*tp_c crea*csp_c;weight ponder3b;run;



*****************************************************************************************************************************************
*****************************************************************************************************************************************
*****************************************************************************************************************************************
*****************************************************************************************************************************************
*****************************************************************************************************************************************

data a;set ph1.esip2;
if (m2_statu in(1,2)) &
  m4_age>=10 & sitac in(1,2,3,4) then do;
if sitac in(1,2) then act=1;else act=0; end;

if (m2_statu in(1,2)) &
  m4_age>=10 & sitac in(1,2) then do;
if sitac =2 then chobit=1;else chobit=0; end;

if (m2_statu in(1,2)) &
  m4_age>=10 & sitac in(1,2,3) then do;
if sitac =2 then cholar=1;else cholar=0; end;

if (m2_statu in(1,2)) &
  m4_age>=10 & sitac =1 then do;
if 0<=ap3_cat<=5 then salarie=1;else salarie=0; end;

label act="Actif ou non";
label chobit="Chomeur BIT ou non";
label cholar="Chomeur au sens large ou non";
label salarie="Salarie ou non";

data ph1.esip3;set a;run;

*****************************************************************************************************************************************
*****************************************************************************************************************************************
*****************************************************************************************************************************************
*****************************************************************************************************************************************
*****************************************************************************************************************************************


** revenus ;
data c;set ph1.esip2(keep=m5_lien m2_statu m13a_ecp ponder3b m3_sexe m4_age m9_lnais m10a_tps m14_cla ap3_cat si1 sitac ap4_ent
                           ap8a2_en typchef prov mil bran5 AP12_PAI--AP16H_NA);
if m2_statu in(1,2);
if sitac=1 &  m4_age>=10;

proc freq;tables ap12_pai ap13a_mt ap13a_ns ap13b_sa ap15a_sy;run;

data d;set c;
if ap13a_mt>0 & ap13b_sa=.         then d=1;else          /*  dclare revenu prcisment seult   */
if ap13a_mt<=0 & 1<=ap13b_sa<=7    then d=2;else          /*  dclare revenu en tranches seult  */
if ap13a_mt>0  & 1<=ap13b_sa<=7    then d=3;else          /*  dclare revenu en tranches et en dtail   */
d=9;

proc freq data=d(where=(prov=10));tables d;run;

                                                   Cumulative    Cumulative
                     d    Frequency     Percent     Frequency      Percent
                     
                      1        1746       53.71          1746        53.71    /*  dclare revenu prcisment seult   */
                      2        1294       39.80          3040        93.51    /*  dclare revenu en tranches seult  */
                      3           2        0.06          3042        93.57    /*  dclare revenu en tranches et en dtail   */
                      9         209        6.43          3251       100.00

   parmi ceux qui d=9,  dont 20% sont non rmunrs (AP12_pai=7)

proc freq data=d(where=(prov>10 & mil=1));tables d;run;


                                       The FREQ Procedure

                                                   Cumulative    Cumulative
                     d    Frequency     Percent     Frequency      Percent
                     
                     1        4051       54.07          4051        54.07
                     2        2594       34.62          6645        88.69
                     9         847       11.31          7492       100.00

proc freq data=d(where=( mil=1));tables d;run;

                                       The FREQ Procedure

                                                   Cumulative    Cumulative
                     d    Frequency     Percent     Frequency      Percent
                     
                     1        5797       53.96          5797        53.96
                     2        3888       36.19          9685        90.15
                     3           2        0.02          9687        90.17
                     9        1056        9.83         10743       100.00
   parmi ceux qui d=9,  dont 80% sont non rmunrs (AP12_pai=7)

proc freq data=d(where=( mil=2));tables d;run;

                                       The FREQ Procedure

                                                   Cumulative    Cumulative
                     d    Frequency     Percent     Frequency      Percent
                     
                     1        6363       45.65          6363        45.65
                     2        3355       24.07          9718        69.72
                     9        4220       30.28         13938       100.00

   parmi ceux qui d=9,  dont 97% sont non rmunrs (AP12_pai=7)

proc freq data=d;tables d;run;
                                                  Cumulative    Cumulative
                     d    Frequency     Percent     Frequency      Percent
                     
                     1       12160       49.27         12160        49.27
                     2        7243       29.35         19403        78.62
                     3           2        0.01         19405        78.62
                     9        5276       21.38         24681       100.00



data e;set d;if prov=10 & d=9 ;proc freq; tables ap12_pai ap13a_ns;run;
proc print ;var m4_age prov ap3_cat ap12_pai--ap13b_sa;run;


*********************************************************************************************

/* Chapitre 5 sur les revenus  */

** revenus ;
data c;set ph1.esip2(keep=idind m5_lien m2_statu m13a_ecp ponder3b m3_sexe m4_age m9_lnais m10a_tps m14_cla ap3_cat si1 sitac ap4_ent
                           ap8a2_en typchef prov mil bran5 AP12_PAI--AP16H_NA ap11_hh);
if m2_statu in(1,2);
if sitac=1 &  m4_age>=10;

proc freq;tables ap12_pai ap13a_mt ap13a_ns ap13b_sa ap15a_sy;run;

data d;set c;
if ap13a_mt>0 & ap13b_sa=.         then d=1;else          /*  dclare revenu prcisment seult   */
if ap13a_mt<=0 & 1<=ap13b_sa<=7    then d=2;else          /*  dclare revenu en tranches seult  */
if ap13a_mt>0  & 1<=ap13b_sa<=7    then d=3;else          /*  dclare revenu en tranches et en dtail   */
d=9;

revp=.;
if d=2 then do;
if ap13b_sa=1 then revp=5000/2;else
if ap13b_sa=2 then revp=(5000 + 10000)/2;else
if ap13b_sa=3 then revp=(10000 + 20000)/2;else
if ap13b_sa=4 then revp=(20000 + 40000)/2;else
if ap13b_sa=5 then revp=(40000 + 60000)/2;else
if ap13b_sa=6 then revp=(60000 + 100000)/2;else
if ap13b_sa=7 then revp=(100000 + 140000)/2;
end;

if ap12_pai=7 & ap13a_mt in(.,0) then revp=0;

if d in (1,3) then do;
revp=ap13a_mt;
end;
run;
proc freq data=d(where=(prov=10));tables revp;run;

/*
 data d1;set d;if revp=.;proc sort;by ap3_cat;
proc print; var  prov m4_age m3_sexe ap3_cat si1 ap12_pai ap13a_mt d ap13b_sa revp;run;
*/

data d1;set d;

if prov=10 then do;revpr=revp*1.26;end;
if prov>10 then revpr=revp;
if 1<=revpr<=1000 then revpr=.;

run;

data a;set d1(keep=idind revp revpr);
labele revp="revenu estim";
laabel revpr="revenu estim valeur anne 2005  Kin (revp*1.26)";proc sort;by idind;run;
data b;set ph1.esip2;proc sort;by idind;run;
data ab;merge b(in=a) a(in=b);by idind;if a then output;run;
data ph1.esip2;set ab;run;

data d1;set ph1.esip2;
if m2_statu in(1,2);
if sitac=1 &  m4_age>=10;


** CSP de l'enqut ;
if ap3_cat in(0,1,2)   then csp_c=1;else    /*  cadre                              */
if ap3_cat in(3,4)     then csp_c=2;else    /*  Ouvrier qualifi ou semi qualifi  */
if ap3_cat in(5)       then csp_c=3;else    /*  Ouvrier non qualifi (manoeuvre)   */
if ap3_cat in(6)       then csp_c=4;else    /*  non salari (patron )   */
if ap3_cat in(7)       then csp_c=5;else    /*  non salari (  CP)   */
if ap3_cat in(8,9)     then csp_c=6;        /*  non salari (Apprenti, Aide familial)  */


if bran5=1 then bran4=1;else               /* agriculture  */
if bran5 in(2,3) then bran4=2;else         /*  industrie   */
if bran5=4 then bran4=3;else               /*  commerce    */
if bran5=5 then bran4=4;                   /*  services    */

if si1 in(1,2) then siap=1;else         /*   public                              */
if si1=3       then siap=2;else         /*   priv formel                        */
if si1 in(4,6) then siap=3;else         /* informel non agricole + associations  */
if si1=5       then siap=4;             /* informel agricole                     */

if prov=10         then geo=1;else
if prov>10 & mil=1 then geo=2;else
if prov>10 & mil=2 then geo=3;

/*  revenus horaires  */

if ap11_hh=99 then ap11_hh=.;
  if ap11_hh>0 then heurm=ap11_hh*4.2;             /*  calcul du nb d'heures mensuelles  */
  if revpr>0 then revh=revpr/heurm;else    /*  calcul du revenu horaire pour ceux qui ont dclar un rvenu non nul  */
  if revpr=0 then revh=0;                  /*  pour ceux qui dclarent 0 comme revenu, ils sont automatiquement en dessous du tx horaire */

run;


/*  revenus moyens  et revenus horaires moyens  */

proc summary data=d1(where=(prov=10)) ;class  siap ;var revpr revh;output out=res mean=mrevpr mrevh;freq ponder3b;proc print;run;
proc summary data=d1(where=(prov>10 & mil=1)) ;class  siap ;var revpr revh;output out=res mean=mrevpr mrevh;freq ponder3b;proc print;run;
proc summary data=d1(where=(mil=1)) ;class  siap ;var revpr revh;output out=res mean=mrevpr mrevh;freq ponder3b;proc print;run;
proc summary data=d1(where=(mil=2)) ;class  siap ;var revpr revh;output out=res mean=mrevpr mrevh;freq ponder3b;proc print;run;
proc summary data=d1 ;class  siap ;var revpr revh;output out=res mean=mrevpr  mrevh;freq ponder3b;proc print;run;


/*  pour calculer le srevneus moyens et mdians */
proc sort data=d1;by siap;
proc univariate data=d1(where=(prov=10));by siap;var revpr;output out=res1;freq ponder3b;run;
proc univariate data=d1(where=(prov=10)); var revpr;output out=res1;freq ponder3b;run;

proc univariate data=d1(where=(prov>10 & mil=1));by siap;var revpr;output out=res1;freq ponder3b;run;
proc univariate data=d1(where=(prov>10 & mil=1)); var revpr;output out=res1;freq ponder3b;run;

proc univariate data=d1(where=(mil=1));by siap;var revpr;output out=res1;freq ponder3b;run;
proc univariate data=d1(where=(mil=1)); var revpr;output out=res1;freq ponder3b;run;

proc univariate data=d1(where=(mil=2));by siap;var revpr;output out=res1;freq ponder3b;run;
proc univariate data=d1(where=(mil=2)); var revpr;output out=res1;freq ponder3b;run;

proc univariate data=d1;by siap;var revpr;output out=res1;freq ponder3b;run;
proc univariate data=d1(where=(revpr ne 3024000)); var revpr;output out=res1;freq ponder3b;run;

proc univariate data=d1;by siap;var revpr;freq ponder3b;output out=a1 mean=mrevp pctlpre=revpt pctlpts=10 to 100 by 10;proc print;run;
proc univariate data=d1(where=(prov=10));by si1;var revpr;freq ponder3b;output out=a1 mean=mrevp pctlpre=revpt pctlpts=10 to 100 by 10;proc
 print;run;
proc univariate data=d1(where=(  mil=1 ));by si1;var revpr;freq ponder3b;
output out=a1 mean=mrevp pctlpre=revpt pctlpts=10 to 100 by 10;proc  print;run;

/*  revenus horiares medians */
proc univariate data=d1(where=(prov=10));by siap;
var revh;freq ponder3b;output out=a1 mean=mrevp pctlpre=revpt pctlpts=10 to 100 by 10;proc print;run;

proc univariate data=d1(where=(prov>10 &   mil=1 ));by siap;var revh;freq ponder3b;
output out=a1 mean=mrevp pctlpre=revpt pctlpts=10 to 100 by 10;proc  print;run;

proc univariate data=d1(where=(  mil=1 ));by siap;var revh;freq ponder3b;
output out=a1 mean=mrevp pctlpre=revpt pctlpts=10 to 100 by 10;proc  print;run;

proc univariate data=d1(where=(  mil=2 ));by siap;var revh;freq ponder3b;
output out=a1 mean=mrevp pctlpre=revpt pctlpts=10 to 100 by 10;proc  print;run;

proc univariate data=d1 ;by siap;var revh;freq ponder3b;
output out=a1 mean=mrevp pctlpre=revpt pctlpts=10 to 100 by 10;proc  print;run;


/*  revenus moyens par branche activit  */
proc summary data=d1(where=(prov=10)) ;class  bran4 ;var revpr ;output out=res mean=mrevpr ;freq ponder3b;proc print;run;
proc summary data=d1(where=(prov>10 & mil=1)) ;class  bran4 ;var revpr  ;output out=res mean=mrevpr ;freq ponder3b;proc print;run;
proc summary data=d1(where=(mil=1)) ;class  bran4 ;var revpr ;output out=res mean=mrevpr ;freq ponder3b;proc print;run;
proc summary data=d1(where=(mil=2)) ;class   bran4 ;var revpr ;output out=res mean=mrevpr ;freq ponder3b;proc print;run;
proc summary data=d1 ;class  bran4 ;var revpr ;output out=res mean=mrevpr ;freq ponder3b;proc print;run;








        ****************
********************
**************
*********
****************


          /*  champ : ACTIFS OCCUPES ET CHOMEURS pour Sous-emploi global   */
          /*  pour calculer le taux de sous-emploi global de la main d'oeuvre        */


data d1;set ph1.esip2;
if m2_statu in(1,2);
if sitac in(1,2,3,4) &    m4_age>=10;

if si1 in(1,2) then siap=1;else         /*   public                              */
if si1=3       then siap=2;else         /*   priv formel                        */
if si1 in(4,6) then siap=3;else         /* informel non agricole + associations  */
if si1=5       then siap=4;             /* informel agricole                     */


if 0<=ap3_cat<=2 then cat=1;else            /*  Cadres                      */
if 6<=ap3_cat<=7 then cat=2;else            /*  Travailleurs indpendants   */
if 3<=ap3_cat<=4 then cat=3;else            /*  Employs, ouvriers          */
if ap3_cat in(5,8) then cat=4;else          /*  Manoeuvres et autres        */
if ap3_cat=9 then cat=5;                    /*  Aides familiaux             */


/*  revenus horaires  */

if ap11_hh=99 then ap11_hh=.;
  if ap11_hh>0 then heurm=ap11_hh*4.25;             /*  calcul du nb d'heures mensuelles  */
  if revpr>0 then revh=revpr/heurm;else    /*  calcul du revenu horaire pour ceux qui ont dclar un rvenu non nul  */
  if revpr=0 then revh=0;                  /*  pour ceux qui dclarent 0 comme revenu, ils sont automatiquement en dessous du tx horaire */

/*  calculer le sous-emploi visible   */
if sitac=1 then do;
if ap11_hh=0 & ap11a_40=5 & ea5_rais=1 then sevis=.;else
/* sevis=.  missing pour ceux qui rpondent 0  AP10c et 5  AP11a,qui sont en vacances */
if ap11_hh<35 & ap11a_40 in(2,3,4,5) then sevis=1;else /* sevis=1   sous-emploi visible  */
if 0<=ap11_hh<35 & ap11a_40=. then sevis=.;else       /* sevis=.  on sait qu'ils travaillent moins de 35 h  mais on sait pas pourquoi  */
sevis=0;                                       /* sevis=0  ici il y a ceux qui travaillent moins de 35 h mais c'est volontaire   */

/*  sous-emploi invisible   */

/*  calcul du taux horaire pour la RDC quelque soit le lieu de rsidence avec 40 heures par semaine   */
/*  smic gal  8970f par mois donc revenu horaire (8970*1.26 pour mettre au prix 2005=11302) 11302/(40*4.25)/1000=0.067   */


/*  sous-emploi invisible  */
seinv=0;
if ap11_hh=. or revh=. then seinv=.;else if revh<67 then seinv=1;
  end;

 /*  on ajoute les chomeurs BIT pour  obtenir le SOUS-EMPLOI GLOBAL   */
if sitac in(2,3) or sevis=1 or seinv=1 then seglob=1;else
if sevis=. & seinv=. then seglob=.;else seglob=0;
run;
proc freq data=d1(where=(prov=10  & m3_sexe=1));tables sevis seinv seglob;weight ponder3b;run;
proc freq data=d1(where=(prov=10  ));tables sevis seinv seglob;weight ponder3b;run;

proc freq data=d1(where=(prov>10 & mil=1 & m3_sexe=2));tables sevis seinv seglob;weight ponder3b;run;
proc freq data=d1(where=(prov>10 & mil=1  ));tables sevis seinv seglob;weight ponder3b;run;

proc freq data=d1(where=(mil=2 & m3_sexe=2));tables sevis seinv seglob;weight ponder3b;run;
proc freq data=d1(where=( mil=2  ));tables sevis seinv seglob;weight ponder3b;run;

proc freq data=d1(where=(  m3_sexe=2));tables sevis seinv seglob;weight ponder3b;run;
proc freq data=d1 ;tables sevis seinv seglob;weight ponder3b;run;


proc freq data=d1(where=(  m3_sexe=2));tables sevis*prov;weight ponder3b;run;


data d2;set d1;
if sitac=1 & m4_age>=10;

 proc sort;by siap cat;run;
proc univariate data=d2(where=( mil=1)) ;by siap cat;var revpr;freq ponder3b;
output out=a1 mean=mrevp pctlpre=revpt pctlpts=10 to 100 by 10;proc  print;run;

proc sort data=d2;by cat;run;
proc univariate data=d2(where=( mil=1)) ;by cat;var revpr;freq ponder3b;
output out=a1 mean=mrevp pctlpre=revpt pctlpts=10 to 100 by 10;proc  print;run;

 proc summary data=d2(where=( mil=1));class siap cat;var revh;output out=z mean= ;freq ponder3b;proc print;run;

/*   revenu du chef de mnage */
proc summary data=d1(where=( mil=1 &  m5_lien=1));class typchef;var revpr;output out=res mean=;freq ponder3b;proc print;run;
proc sort data=d2;by typchef;
proc univariate data=d2(where=( mil=1 & m5_lien=1)) ;by typchef;var revpr;freq ponder3b;
output out=a1 mean=mrevp pctlpre=revpt pctlpts=10 to 100 by 10;proc  print;run;

proc summary data=d1(where=(    m5_lien=1));class typchef;var revpr;output out=res mean=;freq ponder3b;proc print;run;
proc sort data=d2;by typchef;
proc univariate data=d2(where=(  m5_lien=1)) ;by typchef;var revpr;freq ponder3b;
output out=a1 mean=mrevp pctlpre=revpt pctlpts=10 to 100 by 10;proc  print;run;


/*  combien gagnent moins que le SMIG ou quatre fois plus  Kinshasa ou urbain unit  */

data d2;set d1;
if sitac=1 & m4_age>=10;

if 0<=revpr<=11302 then a=1;else if revpr>11302 then a=0;    /*  moins que le SMIG  */
if revpr>=4*11302 then b=1;else if revpr ne . then b=0;      /* 4 fois plus que le SMIG  */


proc freq data=d2(where=(prov=10));tables siap*a siap*b;weight ponder3b;run;
proc freq data=d2(where=(prov>10 & mil=1));tables siap*a siap*b;weight ponder3b;run;
proc freq data=d2(where=( mil=1));tables siap*a siap*b;weight ponder3b;run;


/*  combien gagnent les membres secondaires dan sleur activit principale  */
data d2;set d1;
if sitac=1 & m4_age>=10 & m5_lien not in(1,7);

proc summary data=d2(where=( prov=10));class typchef;var revpr;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=d2(where=( prov>10 & mil=1));class typchef;var revpr;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=d2(where=(  mil=1));class typchef;var revpr;output out=res mean=;freq ponder3b;proc print;run;


/*  revenus moyen par sexe  */
data d2;set d1;
if sitac=1 & m4_age>=10  ;

proc summary data=d2(where=( prov=10));class m3_sexe;var revpr;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=d2(where=( prov>10 & mil=1));class m3_sexe;var revpr;output out=res mean=;freq ponder3b;proc print;run;
proc summary data=d2(where=(  mil=1));class m3_sexe;var revpr;output out=res mean=;freq ponder3b;proc print;run;

proc sort data=d2;by m3_sexe;
proc univariate data=d2(where=(  mil=1)) ;by m3_sexe  ;var revpr;freq ponder3b;
output out=a1 mean=mrevp pctlpre=revpt pctlpts=10 to 100 by 10;proc  print;run;


data d1;set ph1.esip2;
if m2_statu in(1,2);
if sitac =1 &    m4_age>=10;

if si1 in(1,2) then siap=1;else         /*   public                              */
if si1=3       then siap=2;else         /*   priv formel                        */
if si1 in(4,6) then siap=3;else         /* informel non agricole + associations  */
if si1=5       then siap=4;             /* informel agricole                     */
run;
proc freq data=d1(where=( prov=10));tables m3_sexe*ap12_pai;weight ponder3b;run;
proc freq data=d1;tables mil*ap12_pai;weight ponder3b;run;

proc summary data=d1(where=( prov=10));class siap;var revp;output out=res mean=;freq ponder3b;proc print;run;
